function dX = deri(t,X,cd,par)

% This function is used by script_guts.m to generate test data for GUTS

% Author : Tjalling Jager (tjalling@debtox.info)
% Version: Dec 2014

ke  = par(1); % elimination (dominant) rate constant
z   = par(2); % threshold
kk  = par(3); % killing rate
h0  = par(4); % background hazard
PVd = par(5); % bioconcentration factor

cV = X(1); % internal concentration
H  = X(2); % cumulative hazard

dcV = ke * (PVd * cd - cV); % change in body residue
dH  = h0 + kk * max(0,(cV - z)); % hazard for survival, based on body residue

dX = [dcV;dH];