(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    540543,      14539]
NotebookOptionsPosition[    531222,      14281]
NotebookOutlinePosition[    531852,      14303]
CellTagsIndexPosition[    531809,      14300]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"$HistoryLength", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.634998029594146*^9, 3.63499803193038*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"$CalculateNew", "=", "0"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6351737999234233`*^9, 3.6351738067801085`*^9}, {
  3.6478311581271553`*^9, 3.647831158189555*^9}, {3.6484412057778726`*^9, 
  3.6484412058658814`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookDirectory", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6331843319714355`*^9, 3.633184335756814*^9}}],

Cell[CellGroupData[{

Cell["Data import static exposure (scenarios E - L)", "Chapter",
 CellChangeTimes->{{3.6345317059390807`*^9, 3.6345317232918158`*^9}, {
   3.6384446920427113`*^9, 3.6384446930197115`*^9}, 3.6420642569182153`*^9, {
   3.647697888825699*^9, 3.6476978897929*^9}, 3.6476984235712395`*^9, {
   3.6482611264381423`*^9, 3.648261128654364*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<\\\\input/LC50 Survival - Cypermethrin - Gpulex.txt\>\""}], ",", 
     "\"\<Table\>\""}], "]"}]}], ";", 
  RowBox[{"data", "//", "TableForm"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6331843103662753`*^9, 3.63318436701394*^9}, {
   3.63318448482872*^9, 3.6331844851337504`*^9}, 3.6331886244616413`*^9, 
   3.6345318030257883`*^9, {3.634531883220807*^9, 3.634531883628848*^9}, {
   3.6345319563361177`*^9, 3.6345319660230865`*^9}, {3.634541227545355*^9, 
   3.6345412497773547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"expData", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\<\\\\input/Cw - Cypermethrin - \>\"", "<>", "#", "<>", 
         "\"\<.txt\>\""}], ",", "\"\<Table\>\""}], "]"}], "&"}], "/@", 
     RowBox[{"{", 
      RowBox[{
      "\"\<E\>\"", ",", "\"\<F\>\"", ",", "\"\<G\>\"", ",", "\"\<H\>\"", ",", 
       "\"\<I\>\"", ",", "\"\<J\>\"", ",", "\"\<K\>\"", ",", "\"\<L\>\""}], 
      "}"}]}]}], ";", 
   RowBox[{"expData", "//", "TableForm"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.633184508071044*^9, 3.633184530813318*^9}, {
   3.633184601384374*^9, 3.6331846698522205`*^9}, {3.6331847147507095`*^9, 
   3.633184718238058*^9}, 3.633188638758071*^9, 3.6345318067221584`*^9, {
   3.6345318863821235`*^9, 3.6345319230357885`*^9}, {3.6345319722177057`*^9, 
   3.6345319723767223`*^9}, {3.6345412444763546`*^9, 3.634541246616355*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Data preparation and parameter fit", "Chapter",
 CellChangeTimes->{{3.634531759708457*^9, 3.6345317745249386`*^9}, {
  3.634533924897973*^9, 3.634533929681452*^9}, {3.63453401937442*^9, 
  3.6345340301114936`*^9}}],

Cell[CellGroupData[{

Cell["Preparation of data set", "Subchapter",
 CellChangeTimes->{3.6345340321666994`*^9}],

Cell[TextData[{
 StyleBox["\[LineSeparator]",
  FontWeight->"Bold"],
 StyleBox["Convention: data matrix structure for optimisation\n",
  FontSize->12,
  FontWeight->"Bold"],
 StyleBox["1. absolute day numbers (Length = number of sampling days incl. \
day 0)\n2. initial abundances (Length = number of treatments incl control)\n\
3. concentrations (incl control)\n4. relative survival  control\n5. relative \
survival treatment 1\n.\n.\nk+4. relative survival treatment k\nk+5. \
Functions giving time course of water concentrations (can be constant)",
  FontSize->12]
}], "Subsubtitle",
 CellChangeTimes->{{3.587734059105467*^9, 3.587734186543501*^9}, {
   3.587735012824694*^9, 3.5877350384246225`*^9}, {3.587743287239338*^9, 
   3.587743289828971*^9}, {3.587798928784072*^9, 3.5877989298760576`*^9}, {
   3.5879651884708996`*^9, 3.587965202979086*^9}, {3.587976756094768*^9, 
   3.5879767569908576`*^9}, 3.6333476066029434`*^9, {3.6345394655349817`*^9, 
   3.634539471831611*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tvefunc", "[", 
    RowBox[{"t_", ",", "dur_", ",", "conc_"}], "]"}], ":=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"conc", ",", 
         RowBox[{"t", "<", "dur"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"t", "\[GreaterEqual]", "dur"}]}], "}"}]}], "}"}], ",", 
     "0"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"noTreats", "=", 
   RowBox[{
    RowBox[{"Length", "[", 
     RowBox[{"data", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}], "-", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "i"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "2", ",", 
       RowBox[{"noTreats", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"Reverse", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"expData", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Reverse", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"N", "@", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", "data", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"#", "+", "1"}], "]"}], "]"}], ",", "1"}], "]"}], "/", 
          RowBox[{"SOT$data$initAbundance", "[", 
           RowBox[{"[", "#", "]"}], "]"}]}], ")"}], ")"}]}], "&"}], "/@", 
     RowBox[{"Range", "[", "noTreats", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tvefunc", "[", 
      RowBox[{"t", ",", "4", ",", "#"}], "]"}], "&"}], "/@", "SOT$conc"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"SOT$data$CYP", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "11"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"SOT$data$CYP", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{"SOT$data$CYP", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.587962474616413*^9, 3.587962540355656*^9}, {
   3.5879625828662014`*^9, 3.587962588154669*^9}, {3.58796424624802*^9, 
   3.587964257885769*^9}, {3.5879649232820997`*^9, 3.587964968382278*^9}, {
   3.6331848191071444`*^9, 3.633184866388872*^9}, {3.6331849254007726`*^9, 
   3.633185021652397*^9}, 3.6353200847424045`*^9, {3.6356468645824623`*^9, 
   3.6356468645980625`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Fit of background mortality rate constant to control survival\
\>", "Subchapter",
 CellChangeTimes->{{3.6345320852461395`*^9, 3.634532087869877*^9}, {
   3.634532155963067*^9, 3.6345321637052927`*^9}, {3.634532627463576*^9, 
   3.634532630911576*^9}, 3.634534681970673*^9}],

Cell[BoxData[
 RowBox[{"$CalculateNew", "\[Equal]", "0"}]], "Input",
 CellChangeTimes->{{3.648776636270646*^9, 3.6487766363018465`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"res", "=", 
      RowBox[{"NMinimize", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"goalFunc$Control", "[", 
           RowBox[{"SOT$data$CYP", ",", "SDmodel", ",", 
            RowBox[{"tEnd", "=", "4"}], ",", "p1", ",", "1"}], "]"}], ",", 
          RowBox[{"p1", ">", "0"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p1", ",", "0.001", ",", "0.002"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"opt$Haz$BG$B", "=", 
      RowBox[{"p1", "/.", 
       RowBox[{"res", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"opt$Haz$BG$B", "=", "0.027779557010169337`"}]}], 
   "\[IndentingNewLine]", "]"}], ";", "opt$Haz$BG$B"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.633185857950018*^9, 3.6331858608543086`*^9}, 
   3.6331886764478397`*^9, {3.63453207133853*^9, 3.634532076467017*^9}, {
   3.635173817428173*^9, 3.635173912051635*^9}, 3.6356468646136627`*^9, {
   3.64826114251375*^9, 3.6482611425437527`*^9}, 3.648450653764699*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["SD model", "Title",
 CellChangeTimes->{{3.6345345050989876`*^9, 3.6345345062190995`*^9}}],

Cell[CellGroupData[{

Cell["First plots", "Subchapter",
 CellChangeTimes->{{3.6345346985073266`*^9, 3.6345347008585615`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"globC", "=", "0"}], ";", 
  RowBox[{"globResMonDat", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "10000", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowResultScenarios", "[", 
  RowBox[{"SOT$data$CYP", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p1", "\[Rule]", "2"}], ",", 
       RowBox[{"p2", "\[Rule]", "5"}], ",", 
       RowBox[{"p3", "\[Rule]", "0.02"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"tEnd", "=", "4"}], ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.633185912824505*^9, 3.6331859565008726`*^9}, {
   3.6331886988000746`*^9, 3.6331887616183558`*^9}, {3.6345321681398487`*^9, 
   3.634532170746588*^9}, 3.6356468646292624`*^9, {3.6478274149609623`*^9, 
   3.6478274405782075`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Parameter optimisation for the SD model", "Subchapter",
 CellChangeTimes->{{3.6345326070325756`*^9, 3.634532613135576*^9}, {
  3.634534439743453*^9, 3.6345344450799866`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gmonix", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"globResMonDat", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\<\>\"", ",", 
        RowBox[{"{", "100000", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", "0.5"}], ",", 
        RowBox[{"p2", "\[Rule]", "0.025"}], ",", 
        RowBox[{"p3", "\[Rule]", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"monArr", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"globC", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "3"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"Max", "[", 
          RowBox[{"0.001", ",", 
           RowBox[{"(", 
            RowBox[{"p3", "/.", 
             RowBox[{"resSD$B", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "20"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"Max", "[", 
          RowBox[{"0.001", ",", 
           RowBox[{"(", 
            RowBox[{"p3", "/.", 
             RowBox[{"resSD$B", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "6"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "25"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"SRTSD", "=", 
      RowBox[{"Sort", "[", 
       RowBox[{
        RowBox[{"globResMonDat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", 
           RowBox[{"gmonix", "-", "1"}]}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-Trace-new.xlsx\>\""}], ",", "SRTSD"}], "]"}]}], ",", 
    "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6331862371279325`*^9, 3.6331862382570453`*^9}, {
   3.6331862688351026`*^9, 3.6331862794821672`*^9}, {3.633186312381457*^9, 
   3.633186333188537*^9}, {3.633186400529271*^9, 3.633186463889606*^9}, {
   3.6331865029575124`*^9, 3.6331865046956863`*^9}, {3.6331888251157055`*^9, 
   3.633188875209714*^9}, {3.6331889094871416`*^9, 3.6331889330514975`*^9}, {
   3.6331892065568457`*^9, 3.633189231627352*^9}, {3.634532981096603*^9, 
   3.6345330004155345`*^9}, 3.634533662392726*^9, {3.6345340508195643`*^9, 
   3.634534051149597*^9}, {3.6349992660547795`*^9, 3.634999278712045*^9}, {
   3.635173924313861*^9, 3.635173958976327*^9}, {3.635646864644862*^9, 
   3.6356468646604624`*^9}, {3.6476954082887096`*^9, 
   3.6476954086487303`*^9}, {3.647695457240509*^9, 3.647695458179563*^9}, {
   3.647696156084481*^9, 3.647696158674629*^9}, {3.647827676733824*^9, 
   3.6478276772954254`*^9}, {3.6478277732395935`*^9, 
   3.6478277733955936`*^9}, {3.6478311655683684`*^9, 
   3.6478311656307683`*^9}, {3.6482070533197565`*^9, 3.648207086574499*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SRTSD", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.6345337066841545`*^9, {3.6476960041097884`*^9, 3.647696004957837*^9}}],

Cell[BoxData[{
 RowBox[{"optParSD", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTSD", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"optErrSD", "=", 
  RowBox[{"SRTSD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.634533279043394*^9, {3.634533707981284*^9, 3.634533717315217*^9}, {
   3.635654880411983*^9, 3.635654907524831*^9}, 3.647698233910906*^9}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"optParSD", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
      "\"\<best error (-logLikelihood)\>\"", ",", 
       "\"\<parameter values\>\""}], "}"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6353201385334806`*^9, 3.6353202319076138`*^9}, 
   3.635654902127221*^9, 3.6476982407125177`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$LRParamConfidence", "[", 
       RowBox[{
       "optParSD", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", "SOT$data$CYP", 
        ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.1", ",", 
        RowBox[{"confLim", "=", "1.9207"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-new.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6476958827098446`*^9, 3.647695912293537*^9}, {
   3.6476979575780196`*^9, 3.6476979606200247`*^9}, 3.6476983540985174`*^9, {
   3.647704880728368*^9, 3.6477048811833935`*^9}, {3.6477050072879534`*^9, 
   3.6477050073503537`*^9}, {3.647828542473553*^9, 3.6478285433939548`*^9}, 
   3.6478311725727806`*^9, {3.647882555842453*^9, 3.647882555937462*^9}, 
   3.648207093248166*^9, {3.648207125715413*^9, 3.6482071554633875`*^9}, {
   3.6482611674442425`*^9, 3.6482611676842666`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$LRParamConfidence", "[", 
       RowBox[{
       "optParSD", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", "SOT$data$CYP", 
        ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.25", ",", 
        RowBox[{"confLim", "=", "3.9074"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-new-2.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new-2.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6476958827098446`*^9, 3.647695912293537*^9}, {
   3.6476979575780196`*^9, 3.6476979606200247`*^9}, 3.6476983540985174`*^9, {
   3.647704880728368*^9, 3.6477048811833935`*^9}, {3.6477050072879534`*^9, 
   3.6477050073503537`*^9}, {3.6477377121451235`*^9, 3.647737728681153*^9}, {
   3.647828555532776*^9, 3.647828556063177*^9}, 3.6478311741795835`*^9, 
   3.647882569838852*^9, {3.6482071624770885`*^9, 3.6482071649173326`*^9}, {
   3.6482088266664906`*^9, 3.648208826746499*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Now SSR-based", "Subsubtitle",
 CellChangeTimes->{{3.6476982634417577`*^9, 3.6476982666865635`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gmonix", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"globResMonDat", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\<\>\"", ",", 
        RowBox[{"{", "100000", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", "0.5"}], ",", 
        RowBox[{"p2", "\[Rule]", "0.025"}], ",", 
        RowBox[{"p3", "\[Rule]", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"monArr", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"globC", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "3"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"Max", "[", 
          RowBox[{"0.001", ",", 
           RowBox[{"(", 
            RowBox[{"p3", "/.", 
             RowBox[{"resSD$B", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "20"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startSD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resSD$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"Max", "[", 
          RowBox[{"0.001", ",", 
           RowBox[{"(", 
            RowBox[{"p3", "/.", 
             RowBox[{"resSD$B", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resSD$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "SDmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startSD"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startSD"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "6"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "25"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resSD$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"SRTSD", "=", 
      RowBox[{"Sort", "[", 
       RowBox[{
        RowBox[{"globResMonDat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", 
           RowBox[{"gmonix", "-", "1"}]}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-Trace-new-SSR.xlsx\>\""}], ",", "SRTSD"}], "]"}]}], ",", 
    "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6331862371279325`*^9, 3.6331862382570453`*^9}, {
   3.6331862688351026`*^9, 3.6331862794821672`*^9}, {3.633186312381457*^9, 
   3.633186333188537*^9}, {3.633186400529271*^9, 3.633186463889606*^9}, {
   3.6331865029575124`*^9, 3.6331865046956863`*^9}, {3.6331888251157055`*^9, 
   3.633188875209714*^9}, {3.6331889094871416`*^9, 3.6331889330514975`*^9}, {
   3.6331892065568457`*^9, 3.633189231627352*^9}, {3.634532981096603*^9, 
   3.6345330004155345`*^9}, 3.634533662392726*^9, {3.6345340508195643`*^9, 
   3.634534051149597*^9}, {3.6349992660547795`*^9, 3.634999278712045*^9}, {
   3.635173924313861*^9, 3.635173958976327*^9}, {3.635646864644862*^9, 
   3.6356468646604624`*^9}, {3.6476954082887096`*^9, 
   3.6476954086487303`*^9}, {3.647695457240509*^9, 3.647695458179563*^9}, {
   3.647696156084481*^9, 3.647696158674629*^9}, {3.647697988965275*^9, 
   3.6476980129903173`*^9}, 3.6477044285327864`*^9, {3.647828518570311*^9, 
   3.647828519116312*^9}, 3.6478311765663877`*^9, {3.648207245528393*^9, 
   3.648207246031443*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SRTSD", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-Trace-new-SSR.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.6345337066841545`*^9, {3.6476960041097884`*^9, 3.647696004957837*^9}, {
   3.6476982754537787`*^9, 3.647698291553007*^9}, {3.647698373894952*^9, 
   3.6476983746593533`*^9}}],

Cell[BoxData[{
 RowBox[{"optParSDSSR", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTSD", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"optErrSDSSR", "=", 
  RowBox[{"SRTSD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.634533279043394*^9, {3.634533707981284*^9, 3.634533717315217*^9}, {
   3.635654880411983*^9, 3.635654907524831*^9}, 3.647698233910906*^9, {
   3.647698279915386*^9, 3.647698282348991*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$FratParamConfidence", "[", 
       RowBox[{
       "optParSDSSR", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", 
        "SOT$data$CYP", ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.2", ",", 
        RowBox[{"confLim", "=", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"Fdist", "[", 
            RowBox[{"3", ",", "nrData"}], "]"}]}], ")"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-new-SSR.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new-SSR.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6476980395415635`*^9, 3.647698040945566*^9}, {
   3.6476982965606155`*^9, 3.6476983123166437`*^9}, {3.6476983450193014`*^9, 
   3.6476983640201344`*^9}, {3.647705018597973*^9, 3.6477050188319736`*^9}, 
   3.6478286268873014`*^9, 3.6478311807003946`*^9, {3.6482072534251823`*^9, 
   3.6482072595767975`*^9}, {3.648208818850709*^9, 3.648208818890713*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.6476981872200236`*^9}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"ShowResultScenarios", "[", 
     RowBox[{
     "SOT$data$CYP", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", "optParSD", 
      ",", 
      RowBox[{"tEnd", "=", "4"}], ",", "1", ",", "\"\<N\>\"", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.035"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", 
        "\"\<Acute toxicity test\>\""}], "}"}]}], "]"}], ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"FontSize", "\[Rule]", "63"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dotted"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", "Dashed", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.638961382268831*^9, 3.638961383709975*^9}, {
  3.6389617603599377`*^9, 3.6389617642063217`*^9}, {3.642386981873204*^9, 
  3.642386995099204*^9}, {3.647737327827259*^9, 3.6477373721883264`*^9}, {
  3.647828911865208*^9, 3.647828915250414*^9}, {3.6484412576490593`*^9, 
  3.6484412606143556`*^9}, {3.6484414160478973`*^9, 3.648441416204913*^9}, {
  3.6484541326265507`*^9, 3.6484541949657836`*^9}, {3.648454249523239*^9, 
  3.6484542512634125`*^9}, {3.6484542888931756`*^9, 3.648454301578444*^9}, {
  3.648454334375723*^9, 3.648454376957981*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SD-acuteTox(calibration)-figA.gif\>\""}], ",", "fig"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.63896179058996*^9, 3.638961795806482*^9}, {
  3.6389618476816688`*^9, 3.638961848023703*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fig", "=", 
   RowBox[{"TableForm", "[", 
    RowBox[{"Partition", "[", 
     RowBox[{
      RowBox[{"ShowResultScenarios", "[", 
       RowBox[{
       "SOT$data$CYP", ",", "SDmodel", ",", "opt$Haz$BG$B", ",", "optParSD", 
        ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "1", ",", "\"\<N\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"MarkersScaledCol2", "[", 
           RowBox[{"Red", ",", 
            RowBox[{"lighter", "=", "0"}], ",", 
            RowBox[{"thick", "=", "0.045"}], ",", 
            RowBox[{"filled", "=", "1"}], ",", 
            RowBox[{"size", "=", "0.05"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", 
          "\"\<\>\""}], "}"}]}], "]"}], ",", "4"}], "]"}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.635320112880444*^9, 3.6353201254304624`*^9}, {
   3.635320324172744*^9, 3.6353203392897654`*^9}, 3.6356468646760626`*^9, 
   3.6356549021584215`*^9, {3.6389617523351355`*^9, 3.638961753271229*^9}, {
   3.642387017611204*^9, 3.642387049372204*^9}, {3.647737384949149*^9, 
   3.647737385136349*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SD-acuteTox(calibration)-figB.gif\>\""}], ",", "fig"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6389618084797487`*^9, 3.6389618089827995`*^9}, {
  3.6389618585767584`*^9, 3.6389618588717875`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expData", "=", 
   RowBox[{"createModelTimeSeries1M", "[", 
    RowBox[{"SDmodel", " ", ",", "SOT$data$CYP", ",", "opt$Haz$BG$B", ",", 
     RowBox[{"{", 
      RowBox[{"optParSD$CYP$AF", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", "tEnd", ",", "1", ",", 
     "0.1"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6389615929151945`*^9, 3.638961604491352*^9}, {
  3.6389616479086933`*^9, 3.63896168718062*^9}, {3.638961907289629*^9, 
  3.638961912889189*^9}, {3.6389621380857067`*^9, 3.6389621386457624`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SD-acuteTox(calibration).xlsx\>\""}], ",", "expData"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.638961690568959*^9, 3.638961782839185*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Import of profiling data", "Subchapter",
 CellChangeTimes->{{3.634532442481576*^9, 3.634532445929576*^9}, {
  3.6384447310787115`*^9, 3.638444732484711*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nrData", "=", "32"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"confLim", "=", "3.9074"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SRTSD", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"optParSD", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTSD", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTSD", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], "}"}]}], "\n", 
 RowBox[{"optErrSD", "=", 
  RowBox[{"SRTSD", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6477375660966673`*^9, 3.647737569949874*^9}, {
  3.648259869306442*^9, 3.648259881939705*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SRT", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SRTSD", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", "optErrSD"}]}], "}"}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SRTextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"SRTSD", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SRTextNS", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"SRTSD", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRAdatatmp", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</runSD-LL-prof-allTraces-new-2.csv\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRAdata", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", "optErrSD"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRATextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRAdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LRATextNS", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"LRAdata", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lprofData", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</runSD-LL-prof-new.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lprofData2", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</runSD-LL-prof-new.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRdata", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"lprofData", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"lprofData", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"lprofData", "[", 
      RowBox[{"[", "3", "]"}], "]"}], ",", 
     RowBox[{"lprofData2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"lprofData2", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"lprofData2", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRTextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LRTextNS", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"LRdata", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Selected \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"Length", "[", "SRTextSig", "]"}]}], "<>", 
    "\"\< parameter sets out of \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "SRTextNS", "]"}], "+", 
       RowBox[{"Length", "[", "SRTextSig", "]"}]}], ")"}]}], "<>", 
    "\"\< from the parameter optimisation routine\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Selected \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"Length", "[", "LRTextSig", "]"}]}], "<>", 
    "\"\< parameter sets out of \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "LRTextSig", "]"}], "+", 
       RowBox[{"Length", "[", "LRTextNS", "]"}]}], ")"}]}], "<>", 
    "\"\< from the likelihood profiling directly\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Selected \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"Length", "[", "LRATextSig", "]"}]}], "<>", 
    "\"\< parameter sets out of \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "LRATextSig", "]"}], "+", 
       RowBox[{"Length", "[", "LRATextNS", "]"}]}], ")"}]}], "<>", 
    "\"\< from the likelihood profiling.\>\""}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"paramSamplesSD", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"SRTextSig", ",", 
     RowBox[{"LRTextSig", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", "LRATextSig"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<In total \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"Length", "[", "paramSamplesSD", "]"}], "]"}], "<>", 
    "\"\<  parameter sets within confidence limit.\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.633759486456072*^9, 3.6337595071351395`*^9}, {
   3.633948985945913*^9, 3.6339490062349415`*^9}, {3.6339492371800337`*^9, 
   3.633949238724188*^9}, {3.634534081730655*^9, 3.634534081899672*^9}, 
   3.6345341531827993`*^9, {3.6345341836478457`*^9, 3.6345341880472856`*^9}, 
   3.6345342534288235`*^9, {3.6345342917726574`*^9, 3.634534292332713*^9}, {
   3.634557556218028*^9, 3.63455755754016*^9}, {3.634557594875893*^9, 
   3.6345576068010855`*^9}, {3.6345576751559205`*^9, 
   3.6345576753049355`*^9}, {3.635174045704999*^9, 3.6351741402044477`*^9}, 
   3.635222258951565*^9, {3.635223865485202*^9, 3.6352238666983232`*^9}, {
   3.6362216451809683`*^9, 3.6362216453993692`*^9}, {3.647737407584789*^9, 
   3.647737447536459*^9}, {3.6477734333680487`*^9, 3.647773437122264*^9}, {
   3.6478291918865023`*^9, 3.6478292423761916`*^9}, {3.6482072757674165`*^9, 
   3.6482072807189116`*^9}, {3.6482690023266897`*^9, 
   3.6482690203744946`*^9}, {3.6482690685773144`*^9, 
   3.6482690725677137`*^9}, {3.6482714811035433`*^9, 
   3.6482714911735497`*^9}, {3.648271521337566*^9, 3.648271524559888*^9}, 
   3.648271582061638*^9, {3.6482717217226024`*^9, 3.648271820948524*^9}, {
   3.6482718558160105`*^9, 3.6482718563670654`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"optErrSD", ",", "optParSD", ",", "paramSamplesSD"}], "}"}], "=", 
   RowBox[{"loadParameterProfiles", "[", 
    RowBox[{"\"\<G.pulex - SD - CYP\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-Trace-new.xlsx\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-new.xlsx\>\""}], ",", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-new-2.xlsx\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new.csv\>\""}], ",", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new-2.csv\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runSD-LL-prof-new.xlsx\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{"confLimSingleCI", "=", "1.920729"}], ",", "\[IndentingNewLine]", 
     RowBox[{"confLimJointCI", "=", "3.9074"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.648776689264526*^9, 3.6487766900445356`*^9}, {
  3.6487795643854694`*^9, 3.6487795854145393`*^9}, {3.6487822840404005`*^9, 
  3.648782295823579*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["IT model", "Title"]], "Title",
 CellChangeTimes->{
  3.6345348313016047`*^9, 3.634539374530882*^9, 3.63834032540734*^9, {
   3.642387080540204*^9, 3.642387082681204*^9}}],

Cell[CellGroupData[{

Cell["Parameter estimation for the acute experiments", "Subchapter",
 CellChangeTimes->{{3.6345335490253897`*^9, 3.634533557690256*^9}, {
  3.6347220388446712`*^9, 3.634722041096896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gmonix", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"globResMonDat", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\<\>\"", ",", 
        RowBox[{"{", "100000", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", "0.5"}], ",", 
        RowBox[{"p2", "\[Rule]", "2"}], ",", 
        RowBox[{"p3", "\[Rule]", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"monArr", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"globC", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "3"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p3", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "2.5"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p3", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "2"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "6"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"SRTIT", "=", 
      RowBox[{"Sort", "[", 
       RowBox[{
        RowBox[{"globResMonDat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", 
           RowBox[{"gmonix", "-", "1"}]}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-Trace-new.xlsx\>\""}], ",", "SRTIT"}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6331862371279325`*^9, 3.6331862382570453`*^9}, {
   3.6331862688351026`*^9, 3.6331862794821672`*^9}, {3.633186312381457*^9, 
   3.633186333188537*^9}, {3.633186400529271*^9, 3.633186463889606*^9}, {
   3.6331865029575124`*^9, 3.6331865046956863`*^9}, {3.6331867906992836`*^9, 
   3.63318681936115*^9}, {3.633187249699179*^9, 3.633187313135522*^9}, {
   3.63318797727793*^9, 3.6331880517123723`*^9}, 3.6331881130385046`*^9, 
   3.6331883774829464`*^9, {3.6331888828654795`*^9, 3.633188892352428*^9}, {
   3.6331893078279715`*^9, 3.6331893432805166`*^9}, {3.634533492445732*^9, 
   3.6345335111186*^9}, {3.63499922565374*^9, 3.634999251615336*^9}, {
   3.6351741932257495`*^9, 3.6351742319936256`*^9}, {3.635646864910063*^9, 
   3.635646864910063*^9}, {3.6477377396167717`*^9, 3.6477377576036034`*^9}, 
   3.6478311890942097`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SRTIT", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.6345337066841545`*^9, {3.6345338086153464`*^9, 3.6345338119596806`*^9}, {
   3.6477377610200095`*^9, 3.6477377619560113`*^9}}],

Cell[BoxData[{
 RowBox[{"optParIT", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTIT", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"optErrIT", "=", 
  RowBox[{"SRTIT", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.634533279043394*^9, {3.634533707981284*^9, 3.634533717315217*^9}, {
   3.634533815313016*^9, 3.634533822079693*^9}, {3.635655232580802*^9, 
   3.6356552514256353`*^9}, {3.636268838062121*^9, 3.6362688391521225`*^9}, 
   3.6477377689760237`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Profiling of parameter confidence", "Subchapter",
 CellChangeTimes->{{3.6487769878991547`*^9, 3.6487769988192945`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$LRParamConfidence", "[", 
       RowBox[{
       "optParIT", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", "SOT$data$CYP", 
        ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.1", ",", "1.92704"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-new.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-allTraces-new.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", "0"}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6477379387511215`*^9, 3.647737946613536*^9}, {
   3.6477537744287367`*^9, 3.647753774569137*^9}, {3.647829474985601*^9, 
   3.647829475765602*^9}, 3.6478311923078156`*^9, {3.6478826014420123`*^9, 
   3.647882601578026*^9}, {3.648208174652296*^9, 3.648208180560887*^9}, {
   3.648266657197201*^9, 3.6482666582773085`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$LRParamConfidence", "[", 
       RowBox[{
       "optParIT", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", "SOT$data$CYP", 
        ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.25", ",", "3.9074"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-new-2.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-allTraces-new-2.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.647737894025843*^9, 3.647737929125905*^9}, {
   3.6477537782975435`*^9, 3.6477537784067435`*^9}, {3.6478294706799936`*^9, 
   3.6478294712727947`*^9}, 3.64783119499102*^9, {3.6478826065235205`*^9, 
   3.6478826067055387`*^9}, {3.648208187653596*^9, 3.648208206785509*^9}, {
   3.6482087927210965`*^9, 3.648208792761101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gmonix", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"globResMonDat", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\<\>\"", ",", 
        RowBox[{"{", "100000", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", "0.5"}], ",", 
        RowBox[{"p2", "\[Rule]", "2"}], ",", 
        RowBox[{"p3", "\[Rule]", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"monArr", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"globC", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "5"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "3"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "3"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p3", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "2.5"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startInt", "=", "2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"startIT", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p1", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p2", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p2", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"p3", "/.", 
           RowBox[{"resIT$B", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Monitor", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"resIT$B", "=", 
        RowBox[{"NMinimize", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"goalFunc$treatments", "[", " ", 
             RowBox[{
             "SOT$data$CYP", ",", "ITmodel", ",", "0", ",", "p1", ",", "p2", 
              ",", "p3", ",", "opt$Haz$BG$B", ",", 
              RowBox[{"tEnd", "=", "4"}], ",", "\"\<SSR\>\""}], "]"}], ",", 
            RowBox[{
             RowBox[{"p1", ">", "0"}], "&&", 
             RowBox[{"p2", ">", "0"}], "&&", 
             RowBox[{"p3", ">", "0"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p1", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p1", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p2", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p2", "/.", "startIT"}], ")"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p3", ",", 
              RowBox[{
               RowBox[{"1", "/", "startInt"}], "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}], ",", 
              RowBox[{"startInt", "*", 
               RowBox[{"(", 
                RowBox[{"p3", "/.", "startIT"}], ")"}]}]}], "}"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<SimulatedAnnealing\>\"", ",", 
             RowBox[{"\"\<PerturbationScale\>\"", "\[Rule]", "2"}], ",", 
             RowBox[{"\"\<SearchPoints\>\"", "\[Rule]", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"EvaluationMonitor", "\[RuleDelayed]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globResMonDat", "[", 
              RowBox[{"[", 
               RowBox[{"gmonix", "++"}], "]"}], "]"}], "=", "resMonDat"}], 
            "}"}]}], ",", 
          RowBox[{"PrecisionGoal", "\[Rule]", "6"}], ",", 
          RowBox[{"MaxIterations", "\[Rule]", "15"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "resMon"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "resIT$B", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"SRTIT", "=", 
      RowBox[{"Sort", "[", 
       RowBox[{
        RowBox[{"globResMonDat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", 
           RowBox[{"gmonix", "-", "1"}]}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-Trace-new-SSR.xlsx\>\""}], ",", "SRTIT"}], "]"}]}], ",", 
    "\[IndentingNewLine]", "0"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6331862371279325`*^9, 3.6331862382570453`*^9}, {
   3.6331862688351026`*^9, 3.6331862794821672`*^9}, {3.633186312381457*^9, 
   3.633186333188537*^9}, {3.633186400529271*^9, 3.633186463889606*^9}, {
   3.6331865029575124`*^9, 3.6331865046956863`*^9}, {3.6331867906992836`*^9, 
   3.63318681936115*^9}, {3.633187249699179*^9, 3.633187313135522*^9}, {
   3.63318797727793*^9, 3.6331880517123723`*^9}, 3.6331881130385046`*^9, 
   3.6331883774829464`*^9, {3.6331888828654795`*^9, 3.633188892352428*^9}, {
   3.6331893078279715`*^9, 3.6331893432805166`*^9}, {3.634533492445732*^9, 
   3.6345335111186*^9}, {3.63499922565374*^9, 3.634999251615336*^9}, {
   3.6351741932257495`*^9, 3.6351742319936256`*^9}, {3.635646864910063*^9, 
   3.635646864910063*^9}, {3.6477377396167717`*^9, 3.647737740349973*^9}, {
   3.647737788663258*^9, 3.64773781827211*^9}, 3.647831197331024*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SRTIT", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-Trace-new-SSR.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6477378447297564`*^9, 3.647737845509758*^9}, 
   3.6477537981563787`*^9}],

Cell[BoxData[{
 RowBox[{"optParITSSR", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTIT", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"optErrITSSR", "=", 
  RowBox[{"SRTIT", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.634533279043394*^9, {3.634533707981284*^9, 3.634533717315217*^9}, {
   3.634533815313016*^9, 3.634533822079693*^9}, {3.635655232580802*^9, 
   3.6356552514256353`*^9}, {3.636268838062121*^9, 3.6362688391521225`*^9}, 
   3.6477377689760237`*^9, {3.647737848957364*^9, 3.647737851203768*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"prof", "=", 
      RowBox[{"SOT$FratParamConfidence", "[", 
       RowBox[{
       "optParITSSR", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", 
        "SOT$data$CYP", ",", 
        RowBox[{"tEnd", "=", "4"}], ",", "0.2", ",", "1.23618"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-new-SSR.xlsx\>\""}], ",", "prof"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runSD-LL-prof-allTraces-new-SSR.csv\>\""}], ",", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"totalProfile", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "]"}]}], ",", "0"}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6477379387511215`*^9, 3.6477379702475767`*^9}, {
   3.6477380220552683`*^9, 3.6477380434273057`*^9}, {3.647753801557184*^9, 
   3.6477538020095854`*^9}, {3.647829462146778*^9, 3.64782946331678*^9}, {
   3.647829523597286*^9, 3.647829527793694*^9}, 3.6478312076894426`*^9, {
   3.6482082443312635`*^9, 3.648208249490779*^9}, 3.6482087850493298`*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.635655325962566*^9, 3.635655346476602*^9}, {
  3.6478295002586455`*^9, 3.6478295009138465`*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ShowResultScenarios", "[", 
   RowBox[{
   "SOT$data$CYP", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", "optParIT", ",", 
    RowBox[{"tEnd", "=", "4"}], ",", "1", ",", "\"\<N\>\"", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"MarkersScaledCol2", "[", 
       RowBox[{"Red", ",", 
        RowBox[{"lighter", "=", "0"}], ",", 
        RowBox[{"thick", "=", "0.045"}], ",", 
        RowBox[{"filled", "=", "1"}], ",", 
        RowBox[{"size", "=", "0.035"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", 
      "\"\<Acute toxicity test\>\""}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.638961993915291*^9, 3.6389619944913483`*^9}, {
  3.6389620668695855`*^9, 3.638962068908789*^9}, {3.6389621141653147`*^9, 
  3.6389621145253506`*^9}, {3.642387102652204*^9, 3.6423871530062037`*^9}, {
  3.647829565969961*^9, 3.6478295665627623`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-IT-acuteTox(calibration)-figB.gif\>\""}], ",", "fig"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.63896179058996*^9, 3.638961795806482*^9}, {
  3.6389618476816688`*^9, 3.638961848023703*^9}, {3.638961999300829*^9, 
  3.638962000267926*^9}, {3.6484413429935927`*^9, 3.6484413434646397`*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"ShowResultScenarios", "[", 
     RowBox[{
     "SOT$data$CYP", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", "optParIT", 
      ",", 
      RowBox[{"tEnd", "=", "4"}], ",", "1", ",", "\"\<N\>\"", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.035"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", 
        "\"\<Acute toxicity test\>\""}], "}"}]}], "]"}], ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"FontSize", "\[Rule]", "63"}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dotted"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", "Dashed", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6389620753724356`*^9, 3.638962095924491*^9}, {
   3.6389621938492823`*^9, 3.6389621948303804`*^9}, 3.6389622850268855`*^9, {
   3.6423871691902037`*^9, 3.642387211757204*^9}, 3.6478295745811763`*^9, {
   3.648441306287923*^9, 3.648441309223216*^9}, {3.6484414010713997`*^9, 
   3.6484414012434173`*^9}, 3.6484541154978375`*^9, {3.6484544437756624`*^9, 
   3.6484544492482095`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-IT-acuteTox(calibration)-figA.gif\>\""}], ",", "fig"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6389618084797487`*^9, 3.6389618089827995`*^9}, {
  3.6389618585767584`*^9, 3.6389618588717875`*^9}, {3.6389620814930477`*^9, 
  3.6389620823081293`*^9}, {3.6389622550889025`*^9, 3.6389622566560593`*^9}, {
  3.63896229257664*^9, 3.63896229387177*^9}, {3.6484413393942327`*^9, 
  3.6484413396322565`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expData", "=", 
   RowBox[{"createModelTimeSeries1M", "[", 
    RowBox[{"ITmodel", " ", ",", "SOT$data$CYP", ",", "opt$Haz$BG$B", ",", 
     RowBox[{"{", 
      RowBox[{"optParIT", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", "tEnd", ",", "1", ",", 
     "0.1"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6389615929151945`*^9, 3.638961604491352*^9}, {
   3.6389616479086933`*^9, 3.63896168718062*^9}, {3.638961907289629*^9, 
   3.638961912889189*^9}, {3.6389621547733746`*^9, 3.638962155669464*^9}, 
   3.647829588124*^9}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-IT-acuteTox(calibration).xlsx\>\""}], ",", "expData"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.638961690568959*^9, 3.638961782839185*^9}, {
  3.6389621606569633`*^9, 3.6389621615670543`*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"ShowResultScenarios", "[", 
     RowBox[{
     "SOT$data$CYP", ",", "ITmodel", ",", "opt$Haz$BG$B", ",", "optParIT", 
      ",", 
      RowBox[{"tEnd", "=", "4"}], ",", "1"}], "]"}], ",", "4"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.635320112880444*^9, 3.6353201254304624`*^9}, {
   3.635320324172744*^9, 3.6353203392897654`*^9}, 3.635320639530196*^9, 
   3.635646864910063*^9, 3.6356552471980276`*^9, 3.638073766658702*^9, 
   3.6478295929444084`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Import of profiling data", "Subchapter",
 CellChangeTimes->{{3.634532442481576*^9, 3.634532445929576*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nrData", "=", "32"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"confLim", "=", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"Fdist", "[", 
     RowBox[{"3", ",", "nrData"}], "]"}]}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.6357812655385494`*^9, 3.6357813175852404`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InvChiSquare", "[", 
   RowBox[{"3", ",", "0.95"}], "]"}], "/", "2"}]], "Input",
 CellChangeTimes->{{3.6478297451764765`*^9, 3.647829772259124*^9}, {
  3.647829841199645*^9, 3.6478298702020965`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SRTIT", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.6345337066841545`*^9, {3.6345338086153464`*^9, 3.6345338119596806`*^9}, {
   3.6477377610200095`*^9, 3.6477377619560113`*^9}}],

Cell[BoxData[{
 RowBox[{"optParIT", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"SRTIT", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
      RowBox[{"p2", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", 
      RowBox[{"p3", "\[Rule]", 
       RowBox[{"SRTIT", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "4"}], "]"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"optErrIT", "=", 
  RowBox[{"SRTIT", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.634533279043394*^9, {3.634533707981284*^9, 3.634533717315217*^9}, {
   3.634533815313016*^9, 3.634533822079693*^9}, {3.635655232580802*^9, 
   3.6356552514256353`*^9}, {3.636268838062121*^9, 3.6362688391521225`*^9}, 
   3.6477377689760237`*^9}],

Cell[BoxData[
 RowBox[{"confLim", "=", 
  RowBox[{
   RowBox[{"InvChiSquare", "[", 
    RowBox[{"1", ",", "0.95"}], "]"}], "/", "2"}]}]], "Input",
 CellChangeTimes->{3.648778637846484*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"confLim", "=", 
   RowBox[{
    RowBox[{"InvChiSquare", "[", 
     RowBox[{"3", ",", "0.95"}], "]"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SRT", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-Trace-new.xlsx\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"LRAdatatmp", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</runIT-LL-prof-allTraces-new-2.csv\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lprofData", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</runIT-LL-prof-new-2.xlsx\>\""}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LRdata", "=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"lprofData", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"lprofData", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{"lprofData", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"SRTSD", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "SRT", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", "optErrIT"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRAdata", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "LRAdatatmp", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", "optErrIT"}]}], "}"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"SRTextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"SRTSD", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SRTextNS", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"SRTSD", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRTextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRTextNS", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRATextSig", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRAdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], "<=", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LRATextNS", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"LRAdata", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "5", "]"}], "]"}], ">", "confLim"}], "&"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Selected \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"Length", "[", "SRTextSig", "]"}]}], "<>", 
    "\"\< parameter sets out of \>\"", "<>", 
    RowBox[{"ToString", "@", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "[", "SRTextNS", "]"}], "+", 
       RowBox[{"Length", "[", "SRTextSig", "]"}]}], ")"}]}], "<>", 
    "\"\< from the parameter optimisation routine\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Selected \>\"", "<>", 
   RowBox[{"ToString", "@", 
    RowBox[{"Length", "[", "LRTextSig", "]"}]}], "<>", 
   "\"\< parameter sets out of \>\"", "<>", 
   RowBox[{"ToString", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Length", "[", "LRTextSig", "]"}], "+", 
      RowBox[{"Length", "[", "LRTextNS", "]"}]}], ")"}]}], "<>", 
   "\"\< from the likelihood profiling directly\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Selected \>\"", "<>", 
   RowBox[{"ToString", "@", 
    RowBox[{"Length", "[", "LRATextSig", "]"}]}], "<>", 
   "\"\< parameter sets out of \>\"", "<>", 
   RowBox[{"ToString", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Length", "[", "LRATextSig", "]"}], "+", 
      RowBox[{"Length", "[", "LRATextNS", "]"}]}], ")"}]}], "<>", 
   "\"\< from the likelihood profiling.\>\""}], "]"}], "\n", 
 RowBox[{
  RowBox[{"paramSamplesIT", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"SRTextSig", ",", 
     RowBox[{"LRTextSig", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", "LRATextSig"}], "]"}]}], 
  ";", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<In total \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"Length", "[", "paramSamplesIT", "]"}], "]"}], "<>", 
    "\"\<  parameter sets within confidence limit.\>\""}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6333331996682525`*^9, 3.633333210476333*^9}, {
   3.633333416312915*^9, 3.6333334167989635`*^9}, {3.63453407757924*^9, 
   3.634534077772259*^9}, 3.634559825858969*^9, {3.6345638444815645`*^9, 
   3.6345638452125645`*^9}, {3.635174366239049*^9, 3.6351743936937943`*^9}, {
   3.63522404977763*^9, 3.635224050906742*^9}, {3.647829601274823*^9, 
   3.647829611555241*^9}, {3.647829736268861*^9, 3.647829741947271*^9}, {
   3.647829875147305*^9, 3.647829908205763*^9}, {3.6482082636081905`*^9, 
   3.6482082761914487`*^9}, {3.6482719065240808`*^9, 3.648271909098338*^9}, {
   3.6487779089583397`*^9, 3.6487779116883745`*^9}, {3.64877796126581*^9, 
   3.648777964775855*^9}, {3.6487786273631496`*^9, 3.6487786338372326`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"optErrIT", ",", "optParIT", ",", "paramSamplesIT"}], "}"}], "=", 
   RowBox[{"loadParameterProfiles", "[", 
    RowBox[{"\"\<G.pulex - IT - CYP\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-Trace-new.xlsx\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-new.xlsx\>\""}], ",", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-new-2.xlsx\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-allTraces-new.csv\>\""}], ",", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\</runIT-LL-prof-allTraces-new-2.csv\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\</runIT-LL-prof-new.xlsx\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{"confLimSingleCI", "=", "1.920729"}], ",", "\[IndentingNewLine]", 
     RowBox[{"confLimJointCI", "=", "3.9074"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.648776879789768*^9, 3.6487768892590895`*^9}, {
   3.648777108675903*^9, 3.648777115820794*^9}, {3.648777751599122*^9, 
   3.6487777549687653`*^9}, {3.6487777908180246`*^9, 
   3.6487778081186466`*^9}, {3.648778260867651*^9, 3.6487782773726625`*^9}, 
   3.648778586755829*^9, {3.648778646582596*^9, 3.64877865313468*^9}, {
   3.648779018955145*^9, 3.648779048960145*^9}, {3.648779093388587*^9, 
   3.648779109097158*^9}, {3.6487793339081144`*^9, 3.6487793462322726`*^9}, {
   3.6487794979910183`*^9, 3.648779519488094*^9}, {3.648782310520048*^9, 
   3.6487823185198483`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Prediction of survival under pulsed expsoure  ", "Title",
 CellChangeTimes->{{3.6345394204164705`*^9, 3.634539442653694*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Data import pulsed exposure (scenarios A - D)", \
"Subchapter"]], "Chapter",
 CellChangeTimes->{{3.6345317356440516`*^9, 3.6345317502285094`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"expDataPulse", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
        "\"\<\\\\input/Cw - Cypermethrin - \>\"", "<>", "#", "<>", 
        "\"\<.txt\>\""}], ",", "\"\<Table\>\""}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{
     "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<D\>\""}], 
     "}"}]}]}], ";", 
  RowBox[{"expDataPulse", "//", "TableForm"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ltab", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\< \>\"", ",", "  ", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<D\>\""}], 
    "}"}]}], ";", 
  RowBox[{"fig", "=", 
   RowBox[{"TableForm", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"ltab", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", "Bold", ",", "63"}], "]"}], 
         "]"}], ",", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"expDataPulse", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "1"}], "]"}], ",", 
          RowBox[{"Frame", "\[Rule]", "True"}], ",", 
          RowBox[{"LabelStyle", "\[Rule]", 
           RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
          RowBox[{"FrameStyle", "\[Rule]", 
           RowBox[{"Directive", "[", 
            RowBox[{"Black", ",", 
             RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
          RowBox[{"FrameLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<Time [d]\>\"", ",", 
             "\"\<Concentration [nmol \!\(\*SuperscriptBox[\(L\), \
\(-1\)]\)]\>\""}], " ", "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Directive", "[", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.004", "]"}], ",", "Blue"}], "]"}], 
            "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"FontSize", "\[Rule]", "63"}], "}"}]}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"LabelStyle", "\[Rule]", 
           RowBox[{"{", "Black", "}"}]}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.633961725762901*^9, 3.633961737883837*^9}, 
   3.634531816122098*^9, {3.634531929111396*^9, 3.634531983208805*^9}, {
   3.6345665912033997`*^9, 3.6345665963349133`*^9}, {3.635174559708394*^9, 
   3.6351745598454075`*^9}, {3.6392818890174317`*^9, 
   3.6392818899935293`*^9}, {3.639291072957814*^9, 3.6392910801965384`*^9}, 
   3.642387267830204*^9, {3.6445575412494516`*^9, 3.6445575469594517`*^9}, {
   3.648441482497542*^9, 3.648441489800272*^9}, {3.6484561835996275`*^9, 
   3.6484561901642838`*^9}, {3.648456222421509*^9, 3.6484562618814545`*^9}}],

Cell[BoxData[
 RowBox[{"fig", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6484563650377693`*^9, 3.6484563819574614`*^9}}],

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-Pulsed-Exposure-Concentrations.gif\>\""}], ",", "fig"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-Pulsed-Exposure-Concentrations-pulseA.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-Pulsed-Exposure-Concentrations-pulseB.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.639281884086939*^9, 3.639281885351065*^9}, {
  3.648456267196986*^9, 3.648456296597926*^9}, {3.6484563583541007`*^9, 
  3.648456389575223*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"survivalDataPulsed", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<\\\\input/Pulse Tox Survival - Cypermethrin - Gpulex.txt\>\""}], 
     ",", "\"\<Table\>\""}], "]"}]}], ";", 
  RowBox[{"survivalDataPulsed", "//", "TableForm"}]}]], "Input",
 CellChangeTimes->{{3.6345318288093667`*^9, 3.634531833809867*^9}, {
  3.6345318658280683`*^9, 3.634531875196005*^9}, {3.63453199465795*^9, 
  3.6345319950259867`*^9}, {3.6345666070509844`*^9, 3.6345666102913084`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"{", 
    RowBox[{"80", ",", "80", ",", "80", ",", "80"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"Reverse", "@", 
    RowBox[{"{", 
     RowBox[{
     "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<D\>\""}], 
     "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Reverse", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
            RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], "/", "80."}], 
        ")"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{"Reverse", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Interpolation", "[", 
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{"expDataPulse", "[", 
            RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5877315556360598`*^9, 3.5877315556360598`*^9}, {
   3.5877316123115864`*^9, 3.5877317040251617`*^9}, {3.587731835534848*^9, 
   3.5877318928499827`*^9}, {3.5877321040454903`*^9, 
   3.5877321272595882`*^9}, {3.5877322798131495`*^9, 
   3.5877322938689294`*^9}, {3.587732390558969*^9, 3.587732414895281*^9}, {
   3.587733912706698*^9, 3.587734041633243*^9}, {3.5877343702514563`*^9, 
   3.5877343702670565`*^9}, {3.587734997084092*^9, 3.5877350050401945`*^9}, {
   3.587735043962693*^9, 3.5877351074711075`*^9}, {3.5877351394359174`*^9, 
   3.5877351412299404`*^9}, {3.587736724232035*^9, 3.5877367268216686`*^9}, 
   3.5877411156263742`*^9, 3.5877422438781524`*^9, {3.5877433008583126`*^9, 
   3.587743301201517*^9}, {3.587964502466705*^9, 3.5879645070687637`*^9}, {
   3.5879646774697485`*^9, 3.5879647116185865`*^9}, {3.5879647431621904`*^9, 
   3.5879647455022206`*^9}, {3.587964797778491*^9, 3.587964831474923*^9}, {
   3.587965008709795*^9, 3.587965014185465*^9}, {3.587965125555293*^9, 
   3.58796517212189*^9}, 3.587970373420555*^9, {3.5879706197011805`*^9, 
   3.58797062429764*^9}, {3.5883142730922647`*^9, 3.5883143228117676`*^9}, 
   3.588314582696744*^9, {3.58832968086419*^9, 3.588329730236127*^9}, 
   3.588329782143317*^9, {3.5883298157896814`*^9, 3.588329966430744*^9}, {
   3.5883302701331115`*^9, 3.5883303003331313`*^9}, {3.588330369749072*^9, 
   3.588330411813278*^9}, {3.588330528915987*^9, 3.588330539539049*^9}, 
   3.588332701753249*^9, 3.5883459682837696`*^9, {3.5955994468621893`*^9, 
   3.5955995244429655`*^9}, {3.5955996574552956`*^9, 
   3.5955996590453115`*^9}, {3.5956022129313116`*^9, 
   3.5956022190513725`*^9}, {3.595656689348352*^9, 3.5956567890693493`*^9}, {
   3.5956568281097393`*^9, 3.59565690213048*^9}, {3.5956584136975956`*^9, 
   3.5956584321977806`*^9}, {3.595928401009839*^9, 3.5959284012018585`*^9}, {
   3.6248894951475677`*^9, 3.6248895625814676`*^9}, {3.6248910990956573`*^9, 
   3.6248911095479927`*^9}, {3.624892258118964*^9, 3.6248923619587145`*^9}, {
   3.624893233913911*^9, 3.6248932477669773`*^9}, 3.62783666103316*^9, {
   3.634541715558962*^9, 3.634541721677573*^9}, {3.634541990099413*^9, 
   3.634542000890492*^9}, {3.6345421479431953`*^9, 3.6345421612645273`*^9}, {
   3.6345422510925093`*^9, 3.634542267308131*^9}, {3.6345437478051662`*^9, 
   3.6345437718455696`*^9}, {3.6345438819115753`*^9, 3.634543888951279*^9}, {
   3.6345439461229954`*^9, 3.634544055100892*^9}, 3.63454409108149*^9, {
   3.634544351477527*^9, 3.6345443521715965`*^9}, 3.6351745835337763`*^9, {
   3.6356580941488824`*^9, 3.635658095568485*^9}, {3.6383297988414807`*^9, 
   3.638329823736979*^9}, {3.638329977320244*^9, 3.6383299851213217`*^9}}],

Cell[CellGroupData[{

Cell["Prediction of survival", "Subchapter",
 CellChangeTimes->{{3.634540299290349*^9, 3.634540307923212*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"$CalculateNew", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.638340814940246*^9, 3.6383408151902485`*^9}, 
   3.6384447677297115`*^9, {3.6482719361750455`*^9, 3.648271936238052*^9}, {
   3.648442151226408*^9, 3.648442151279413*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"res", "=", 
      RowBox[{"NMinimize", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"goalFunc$Control", "[", 
           RowBox[{"SOT$dataPulsed$CYP", ",", "SDmodel", ",", 
            RowBox[{"tEnd", "=", "10"}], ",", "p1", ",", "1"}], "]"}], ",", 
          RowBox[{"p1", ">", "0"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p1", ",", "0.001", ",", "0.002"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"opt$Haz$BG$Pulse", "=", 
      RowBox[{"p1", "/.", 
       RowBox[{"res", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"opt$Haz$BG$Pulse", "=", "0.011992649950244471`"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.638329887113247*^9, 3.6383299160906305`*^9}, {
  3.638329949075961*^9, 3.638329950715977*^9}, {3.6482719393503633`*^9, 
  3.648271939374366*^9}, {3.648442153340619*^9, 3.6484421534106264`*^9}}],

Cell[BoxData["opt$Haz$BG$Pulse"], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"{", 
    RowBox[{"80", ",", "80", ",", "80", ",", "80"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<D\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], "/", "80."}], 
      ")"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"expDataPulse", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.638330000742478*^9, 3.6383300090735617`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"optParSD$CYP$AF", "=", "optParSD"}], ";", 
  RowBox[{"optParIT$CYP$AF", "=", "optParIT"}], ";"}]], "Input",
 CellChangeTimes->{{3.647829663616533*^9, 3.6478296806059628`*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"ShowResultScenariosx2M", "[", 
     RowBox[{"SOT$dataPulsed$CYP", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"SDmodel", ",", "\"\<Gammarus - CYP - SD-SIC\>\""}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"ITmodel", ",", "\"\<Gammarus - CYP - IT-SIC\>\""}], "}"}], 
      ",", "opt$Haz$BG$Pulse", ",", "opt$Haz$BG$Pulse", ",", 
      "\[IndentingNewLine]", "optParSD$CYP$AF", ",", "optParIT$CYP$AF", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"tend", "=", "tEndExp"}], ",", "1"}], "]"}], ",", "2"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.634544153238705*^9, 3.6345442114245234`*^9}, {
   3.634544243088689*^9, 3.634544273190699*^9}, {3.6345443108514647`*^9, 
   3.6345443113935194`*^9}, {3.635168768030157*^9, 3.6351687964469986`*^9}, 
   3.6356549022208214`*^9, 3.6356552472604275`*^9, 3.635658166111809*^9, {
   3.6362621965582175`*^9, 3.636262196982242*^9}, 3.638073792625766*^9, {
   3.638329935602826*^9, 3.6383299377128468`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["parameter uncertainty ", "Chapter",
 CellChangeTimes->{{3.636220672517248*^9, 3.6362207156915245`*^9}, {
   3.63626403274154*^9, 3.636264090643622*^9}, 3.638074680233808*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEnd", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ninit", "=", "80"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nRnd", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nrTr", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NinitPulse", "=", "80"}], ";"}]}], "Input",
 CellChangeTimes->{{3.636221781224609*^9, 3.6362218058454523`*^9}, {
   3.6362229798713274`*^9, 3.6362229870629396`*^9}, 3.6362232972504883`*^9, 
   3.6362234712381973`*^9, 3.6362235586571517`*^9, {3.636223628583475*^9, 
   3.6362236697755475`*^9}, {3.636223759414706*^9, 3.6362237609123087`*^9}, 
   3.6362238163492064`*^9, {3.636261628645735*^9, 3.636261631684909*^9}, 
   3.6362618903017006`*^9, {3.6362619617337866`*^9, 3.6362619647889614`*^9}, {
   3.636262019686101*^9, 3.636262027637556*^9}, {3.6362620633736*^9, 
   3.636262063581612*^9}, 3.636268073427039*^9, 3.638698280235317*^9, {
   3.639282122844199*^9, 3.639282128222737*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DATAvalsAbs", "=", 
   RowBox[{"extractSOTdataseries", "[", 
    RowBox[{"SOT$dataPulsed$CYP", ",", 
     RowBox[{"tEnd", "=", "10"}], ",", "1", ",", 
     RowBox[{"nrTr", "=", "4"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DATAvalsRel", "=", 
   RowBox[{"extractSOTdataseriesRel", "[", 
    RowBox[{"SOT$dataPulsed$CYP", ",", 
     RowBox[{"tEnd", "=", "10"}], ",", 
     RowBox[{"nrTr", "=", "4"}], ",", 
     RowBox[{"NinitEx", "=", 
      RowBox[{"80", "/", "100"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6362650789367437`*^9, 3.636265093210764*^9}, {
   3.6362680805180492`*^9, 3.6362680842300544`*^9}, 3.6362707315414124`*^9, 
   3.6383337705051184`*^9, {3.639280661999611*^9, 3.639280670518463*^9}, 
   3.6392820686747828`*^9, {3.639282099371852*^9, 3.6392820995868735`*^9}, {
   3.642387434805204*^9, 3.642387445276204*^9}, {3.642387598097204*^9, 
   3.6423875983072042`*^9}, {3.6484421767889643`*^9, 3.648442177708056*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"<<", "JLink`"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"InstallJava", "[", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ReinstallJava", "[", 
   RowBox[{"JVMArguments", "\[Rule]", "\"\<-Xmx10g\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.638280390925027*^9, 3.6382803909260273`*^9}, {
   3.6382804252014546`*^9, 3.638280431169051*^9}, {3.638288982718065*^9, 
   3.638288986122259*^9}, {3.638289052267043*^9, 3.6382890569383097`*^9}, {
   3.638584347112522*^9, 3.638584353905201*^9}, 3.6385859172765226`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoadJavaClass", "[", "\"\<java.lang.Runtime\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6382890378762197`*^9, 3.6382890378772197`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"java`lang`Runtime`getRuntime", "[", "]"}], "@", 
  RowBox[{"maxMemory", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.6382890446916094`*^9, 3.6382890446926093`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"$CalculateNew", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.6478311316841087`*^9, 3.64783113266691*^9}, {
  3.64844218445273*^9, 3.6484421844987345`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"deltaT", "=", "0.25"}], ";", 
      RowBox[{"maxIT", "=", "500"}], ";", "\[IndentingNewLine]", 
      RowBox[{"ITpred$Total$10", "=", 
       RowBox[{"SOT$prediction$Uncertainty$Total", "[", 
        RowBox[{"SOT$dataPulsed$CYP", ",", "ITmodel", ",", 
         RowBox[{"parSetList", "=", "paramSamplesIT"}], ",", 
         RowBox[{"optParSet", "=", "optParIT$CYP$AF"}], ",", 
         RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
         RowBox[{"repl", "=", "1"}], ",", 
         RowBox[{"tEnd", "=", "10"}], ",", 
         RowBox[{"Ninit", "=", "NinitPulse"}], ",", 
         RowBox[{"nRand", "=", "10"}], ",", 
         RowBox[{"nrTr", "=", "4"}], ",", 
         RowBox[{"lcl", "=", "0.1"}], ",", 
         RowBox[{"ucl", "=", "0.9"}], ",", "deltaT", ",", "maxIT"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Export", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\</CYP-ITpred$Total$10-rawData.xlsx\>\""}], ",", 
        RowBox[{"Transpose", "[", "allNLO", "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"dataSet", "=", "ITpred$Total$10"}], ";", 
      RowBox[{"expDat", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"1", 
                 RowBox[{"(*", "median", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"1", 
                 RowBox[{"(*", "median", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"2", 
                 RowBox[{"(*", "lcl", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"3", 
                 RowBox[{"(*", "ucl", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"4", 
                 RowBox[{"(*", "det", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Export", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\</CYP-ITpred$Total$10-summary.xlsx\>\""}], ",", "expDat"}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"SDpred$Total$10", "=", 
       RowBox[{"SOT$prediction$Uncertainty$Total", "[", 
        RowBox[{"SOT$dataPulsed$CYP", ",", "SDmodel", ",", 
         RowBox[{"parSetList", "=", "paramSamplesSD"}], ",", 
         RowBox[{"optParSet", "=", "optParSD$CYP$AF"}], ",", 
         RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
         RowBox[{"repl", "=", "1"}], ",", 
         RowBox[{"tEnd", "=", "10"}], ",", 
         RowBox[{"Ninit", "=", "80"}], ",", 
         RowBox[{"nRand", "=", "10"}], ",", 
         RowBox[{"nrTr", "=", "4"}], ",", "0.1", ",", "0.9", ",", "deltaT", 
         ",", "maxIT"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Export", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\</CYP-SDpred$Total$10-rawData.xlsx\>\""}], ",", 
        RowBox[{"Transpose", "[", "allNLO", "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"dataSet", "=", "SDpred$Total$10"}], ";", 
      RowBox[{"expDat", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"1", 
                 RowBox[{"(*", "median", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"1", 
                 RowBox[{"(*", "median", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"2", 
                 RowBox[{"(*", "lcl", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"3", 
                 RowBox[{"(*", "ucl", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"dataSet", "[", 
               RowBox[{"[", 
                RowBox[{"4", 
                 RowBox[{"(*", "det", "*)"}], ",", "trix"}], "]"}], "]"}], 
              "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Export", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\</CYP-SDpred$Total$10-summary.xlsx\>\""}], ",", "expDat"}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"pic", "=", 
       RowBox[{"TableForm", "[", 
        RowBox[{"Transpose", "@", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Show", "[", 
              RowBox[{
               RowBox[{"ListPlot", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "trix"}], "]"}], "]"}], ",", 
                   RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "trix"}], "]"}], "]"}], ",", 
                   RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "trix"}], "]"}], "]"}]}], "}"}], ",", 
                 RowBox[{"Joined", "\[Rule]", "True"}], ",", 
                 RowBox[{"AxesOrigin", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Ninit"}], "}"}]}], "}"}]}], ",", 
                 RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
                 RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                 RowBox[{"FrameLabel", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                    RowBox[{"\"\<IT model, T\>\"", "<>", 
                    RowBox[{"ToString", "[", "trix", "]"}]}], ",", 
                    "\"\<\>\""}], "}"}]}], ",", " ", 
                 RowBox[{"GridLinesStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}],
                     "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
                   "}"}]}], ",", 
                 RowBox[{"BaseStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", 
                    "30"}], "}"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
                 RowBox[{"PlotStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                    "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Red"}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Red"}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Black"}], "]"}]}], "}"}]}], ",", 
                 RowBox[{"Filling", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], ",", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", 
                 RowBox[{"FillingStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], 
                   "}"}]}]}], "]"}], ",", 
               RowBox[{"ListPlot", "[", 
                RowBox[{"DATAvalsAbs", "[", 
                 RowBox[{"[", "trix", "]"}], "]"}], "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"trix", ",", "1", ",", "3"}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Show", "[", 
              RowBox[{
               RowBox[{"ListPlot", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "trix"}], "]"}], "]"}], ",", 
                   RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "trix"}], "]"}], "]"}], ",", 
                   RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "trix"}], "]"}], "]"}]}], "}"}], ",", 
                 RowBox[{"Joined", "\[Rule]", "True"}], ",", 
                 RowBox[{"AxesOrigin", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Ninit"}], "}"}]}], "}"}]}], ",", 
                 RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
                 RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                 RowBox[{"FrameLabel", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                    RowBox[{"\"\<SD model, T\>\"", "<>", 
                    RowBox[{"ToString", "[", "trix", "]"}]}], ",", 
                    "\"\<\>\""}], "}"}]}], ",", " ", 
                 RowBox[{"GridLinesStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}],
                     "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
                   "}"}]}], ",", 
                 RowBox[{"BaseStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", 
                    "30"}], "}"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
                 RowBox[{"PlotStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                    "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Red"}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Red"}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                    "Black"}], "]"}]}], "}"}]}], ",", 
                 RowBox[{"Filling", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "2", "}"}]}], ",", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", 
                 RowBox[{"FillingStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], 
                   "}"}]}]}], "]"}], ",", 
               RowBox[{"ListPlot", "[", 
                RowBox[{"DATAvalsAbs", "[", 
                 RowBox[{"[", "trix", "]"}], "]"}], "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"trix", ",", "1", ",", "3"}], "}"}]}], "]"}]}], "}"}]}],
         "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6383301627601013`*^9, 3.6383301686711607`*^9}, {
   3.6385859248852835`*^9, 3.638586142111004*^9}, {3.6392228988763866`*^9, 
   3.6392229039708967`*^9}, {3.639280577673179*^9, 3.63928059548496*^9}, {
   3.6392807105354643`*^9, 3.6392807122516356`*^9}, {3.6392812417835836`*^9, 
   3.63928124185159*^9}, {3.647829973402278*^9, 3.6478299862723007`*^9}, {
   3.6478300600634303`*^9, 3.647830087052478*^9}, {3.647830118159932*^9, 
   3.647830144791179*^9}, {3.647830180375842*^9, 3.647830200022277*^9}, 
   3.6478303247086496`*^9, {3.6478310698124*^9, 3.647831071356803*^9}, 
   3.6478311254440975`*^9, 3.6482719617646046`*^9, {3.648272081064533*^9, 
   3.648272082975724*^9}, 3.6482721691393394`*^9, {3.648277232263625*^9, 
   3.6482772385512533`*^9}, {3.6482826375731397`*^9, 3.648282663069689*^9}, {
   3.6482870819665346`*^9, 3.6482870879411316`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-rawData.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-rawData.xlsx\>\""}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.648444476823313*^9, 3.6484444884768066`*^9}, {
  3.648444527737827*^9, 3.648444529909564*^9}, {3.6484491121155496`*^9, 
  3.648449118706208*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"trix", "=", "1"}], ";", 
  RowBox[{"fig1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"ITpred$Total$10", "[", 
             RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "5", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
        RowBox[{"\"\<IT model, T\>\"", "<>", 
         RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], "}"}]}],
      ",", " ", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
        ",", 
        RowBox[{"Directive", "[", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], "}"}]}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", "1200"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], 
        ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
          RowBox[{"Lighter", "[", 
           RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
          RowBox[{"Lighter", "[", 
           RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
         "]"}]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6484480921925673`*^9, 3.6484481062889767`*^9}, {
  3.648448242407587*^9, 3.648448251882535*^9}, {3.6484485761499586`*^9, 
  3.6484485875741005`*^9}, {3.648448850221363*^9, 3.6484488667820187`*^9}, {
  3.648448908983238*^9, 3.648448921271467*^9}, {3.6484490748468227`*^9, 
  3.6484490782221603`*^9}}],

Cell[BoxData[
 RowBox[{"fig2", "=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{"0", ",", "10", ",", "0.25"}], "]"}], ",", "#"}], "}"}], 
         "]"}], "&"}], "/@", 
       RowBox[{"ITpred$Total$10$RAW", "[", 
        RowBox[{"[", 
         RowBox[{"trix", "=", "1"}], "]"}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0075", "]"}], ",", 
          RowBox[{"Lighter", "[", 
           RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
          RowBox[{"Opacity", "[", "0.05", "]"}]}], "]"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Joined", "\[Rule]", "True"}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
         RowBox[{"\"\<IT model, T\>\"", "<>", 
          RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], 
        "}"}]}], ",", " ", 
      RowBox[{"GridLinesStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Directive", "[", 
          RowBox[{"Black", ",", 
           RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
         ",", 
         RowBox[{"Directive", "[", 
          RowBox[{"Black", ",", 
           RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], "}"}]}], 
      ",", 
      RowBox[{"ImageSize", "\[Rule]", "1200"}]}], "]"}], ",", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"DATAvalsAbs", "[", 
       RowBox[{"[", "trix", "]"}], "]"}], ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"MarkersScaledCol2", "[", 
          RowBox[{"Black", ",", 
           RowBox[{"lighter", "=", "0"}], ",", 
           RowBox[{"thick", "=", "0.045"}], ",", 
           RowBox[{"filled", "=", "1"}], ",", 
           RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
         RowBox[{"[", "4", "]"}], "]"}], "}"}]}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6484445399245195`*^9, 3.6484445536159515`*^9}, {
   3.6484446269258213`*^9, 3.648444629194413*^9}, {3.648444664718036*^9, 
   3.648444704381195*^9}, {3.6484447493017235`*^9, 3.6484448049648776`*^9}, {
   3.648444931848404*^9, 3.6484449504076414`*^9}, {3.648444993393343*^9, 
   3.6484450281248693`*^9}, 3.648447634796832*^9, {3.6484477337767296`*^9, 
   3.6484477672910805`*^9}, {3.6484478127006207`*^9, 3.648447856493*^9}, {
   3.648447893727723*^9, 3.648447981219471*^9}, {3.648448017733122*^9, 
   3.6484480229976487`*^9}, {3.6484481929856453`*^9, 
   3.6484482271490617`*^9}, {3.648448261546501*^9, 3.6484482898723335`*^9}, {
   3.6484484381611605`*^9, 3.6484484433306775`*^9}, {3.6484484853408785`*^9, 
   3.648448485538898*^9}, {3.6484485269180355`*^9, 3.6484485270130453`*^9}, {
   3.648448560496393*^9, 3.648448562813625*^9}, 3.648448872172558*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-rawData.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-rawData.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-summary.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-summary.xlsx\>\""}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"deltaT", "=", "0.25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fig", "=", 
   RowBox[{"TableForm", "[", 
    RowBox[{"Transpose", "@", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"0", ",", "tEnd", ",", "deltaT"}], "]"}], ",", 
                  "#"}], "}"}], "]"}], "&"}], "/@", 
              RowBox[{"ITpred$Total$10$RAW", "[", 
               RowBox[{"[", "trix", "]"}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Directive", "[", 
                RowBox[{
                 RowBox[{"Thickness", "[", "0.0075", "]"}], ",", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
                 RowBox[{"Opacity", "[", "0.05", "]"}]}], "]"}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{"Black", ",", 
                RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                RowBox[{"\"\<IT model, T\>\"", "<>", 
                 RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "5", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                RowBox[{"\"\<IT model, T\>\"", "<>", 
                 RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Black"}], "]"}]}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"DATAvalsAbs", "[", 
              RowBox[{"[", "trix", "]"}], "]"}], ",", 
             RowBox[{"PlotMarkers", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"MarkersScaledCol2", "[", 
                 RowBox[{"Red", ",", 
                  RowBox[{"lighter", "=", "0"}], ",", 
                  RowBox[{"thick", "=", "0.045"}], ",", 
                  RowBox[{"filled", "=", "1"}], ",", 
                  RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
                RowBox[{"[", "4", "]"}], "]"}], "}"}]}]}], "]"}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"0", ",", "tEnd", ",", "deltaT"}], "]"}], ",", 
                  "#"}], "}"}], "]"}], "&"}], "/@", 
              RowBox[{"SDpred$Total$10$RAW", "[", 
               RowBox[{"[", "trix", "]"}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Directive", "[", 
                RowBox[{
                 RowBox[{"Thickness", "[", "0.0075", "]"}], ",", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
                 RowBox[{"Opacity", "[", "0.05", "]"}]}], "]"}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{"Black", ",", 
                RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                RowBox[{"\"\<SD model, T\>\"", "<>", 
                 RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "5", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "tEnd"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "NinitPulse"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<days\>\"", ",", "\"\<Survival over time\>\"", ",", 
                RowBox[{"\"\<SD model, T\>\"", "<>", 
                 RowBox[{"ToString", "[", "trix", "]"}]}], ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Red", ",", "0.3"}], "]"}]}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Black"}], "]"}]}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"DATAvalsAbs", "[", 
              RowBox[{"[", "trix", "]"}], "]"}], ",", 
             RowBox[{"PlotMarkers", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"MarkersScaledCol2", "[", 
                 RowBox[{"Red", ",", 
                  RowBox[{"lighter", "=", "0"}], ",", 
                  RowBox[{"thick", "=", "0.045"}], ",", 
                  RowBox[{"filled", "=", "1"}], ",", 
                  RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
                RowBox[{"[", "4", "]"}], "]"}], "}"}]}]}], "]"}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6385861474695396`*^9, 3.63858615287108*^9}, {
   3.6419868061042776`*^9, 3.641986810253278*^9}, 3.6423873445362043`*^9, {
   3.642387578152204*^9, 3.6423875807752037`*^9}, {3.647830928316151*^9, 
   3.6478309655232162`*^9}, {3.647831045927758*^9, 3.647831057315778*^9}, {
   3.648351769705906*^9, 3.648351770703006*^9}, {3.6484431078790636`*^9, 
   3.6484431468219576`*^9}, {3.64844917922726*^9, 3.6484493041337495`*^9}, {
   3.6484494626586003`*^9, 3.6484496173350663`*^9}, {3.6484497952138524`*^9, 
   3.6484498058909197`*^9}, {3.648449962165546*^9, 3.64844996920425*^9}, 
   3.648450009852314*^9, 3.64845057417074*^9, {3.6484508402173424`*^9, 
   3.6484508441687374`*^9}, {3.648454080649353*^9, 3.6484540847327614`*^9}, 
   3.6484546213844213`*^9}],

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-absolute-SD-T1.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-absolute-IT-T1.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-absolute-SD-T2.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-absolute-IT-T2.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6483517151884546`*^9, 3.6483517174696827`*^9}, {
  3.648451080599378*^9, 3.6484511072940474`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"expDat", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-summary.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"expDatRel", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"expDat", "[", 
               RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"serix", "+", "1"}], "]"}], "]"}], "/", "NinitPulse"}], 
           "*", "100"}], ",", 
          RowBox[{"{", 
           RowBox[{"serix", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"expDat", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"trix", ",", "1", ",", "nrTr"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-summary-rel.xlsx\>\""}], ",", "expDatRel"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"expDat", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-summary.xlsx\>\""}], "]"}]}], ";", 
  RowBox[{"expDatRel", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"expDat", "[", 
               RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"serix", "+", "1"}], "]"}], "]"}], "/", "NinitPulse"}], 
           "*", "100"}], ",", 
          RowBox[{"{", 
           RowBox[{"serix", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"expDat", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"trix", ",", "1", ",", "nrTr"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-summary-rel.xlsx\>\""}], ",", "expDatRel"}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.642387608230204*^9, 3.642387643377204*^9}, {
  3.642387699042204*^9, 3.6423877355952044`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ITpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-summary-rel.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-summary-rel.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ITpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-rawData.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10$RAW", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-rawData.xlsx\>\""}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6385843906588764`*^9, 3.638584432156026*^9}, {
  3.638584600964905*^9, 3.6385846101648245`*^9}, {3.6385855158113804`*^9, 
  3.63858551950775*^9}, {3.64230088054714*^9, 3.64230088569514*^9}, {
  3.642387392882204*^9, 3.642387397376204*^9}, {3.64846254816502*^9, 
  3.6484625484100447`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"deltaT", "=", "0.25"}], ";", 
  RowBox[{"tEnd", "=", "10"}], ";", 
  RowBox[{"fig", "=", 
   RowBox[{"TableForm", "[", 
    RowBox[{"Transpose", "@", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"0", ",", "tEnd", ",", "deltaT"}], "]"}], ",", 
                  "#"}], "}"}], "]"}], "&"}], "/@", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"ITpred$Total$10$RAW", "[", 
                  RowBox[{"[", "trix", "]"}], "]"}], "/", "NinitPulse"}], "*",
                 "100"}], ")"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Directive", "[", 
                RowBox[{
                 RowBox[{"Thickness", "[", "0.0075", "]"}], ",", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
                 RowBox[{"Opacity", "[", "0.05", "]"}]}], "]"}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{"Black", ",", 
                RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"tEnd", "+", "0.25"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<time(days)\>\"", ",", "\"\<Survivors(%)\>\"", ",", 
                "\"\<Survival in pulsed exposure\>\"", ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "]"}], ",", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"ITpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "5", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"tEnd", "+", "0.25"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<time(days)\>\"", ",", "\"\<Survivors(%)\>\"", ",", 
                "\"\<Survival in pulsed exposure\>\"", ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", "\[IndentingNewLine]", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", 
                ",", "42"}], "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Red"}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Red"}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Black"}], "]"}]}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"DATAvalsRel", "[", 
              RowBox[{"[", "trix", "]"}], "]"}], ",", 
             RowBox[{"PlotMarkers", "->", 
              RowBox[{
               RowBox[{"MarkersScaledCol2", "[", 
                RowBox[{"Black", ",", 
                 RowBox[{"lighter", "=", "0"}], ",", 
                 RowBox[{"thick", "=", "0.045"}], ",", 
                 RowBox[{"filled", "=", "1"}], ",", 
                 RowBox[{"size", "=", "0.035"}]}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"DATAvalsRel", "[", 
               RowBox[{"[", 
                RowBox[{"trix", ",", 
                 RowBox[{"-", "1"}]}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"PlotMarkers", "->", 
              RowBox[{
               RowBox[{"MarkersScaledCol2", "[", 
                RowBox[{"Blue", ",", 
                 RowBox[{"lighter", "=", "0"}], ",", 
                 RowBox[{"thick", "=", "0.16"}], ",", 
                 RowBox[{"filled", "=", "0"}], ",", 
                 RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
               RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Range", "[", 
                   RowBox[{"0", ",", "tEnd", ",", "deltaT"}], "]"}], ",", 
                  "#"}], "}"}], "]"}], "&"}], "/@", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"SDpred$Total$10$RAW", "[", 
                  RowBox[{"[", "trix", "]"}], "]"}], "/", "NinitPulse"}], "*",
                 "100"}], ")"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Directive", "[", 
                RowBox[{
                 RowBox[{"Thickness", "[", "0.0075", "]"}], ",", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
                 RowBox[{"Opacity", "[", "0.05", "]"}]}], "]"}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"FrameStyle", "\[Rule]", 
              RowBox[{"Directive", "[", 
               RowBox[{"Black", ",", 
                RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"tEnd", "+", "0.25"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<time(days)\>\"", ",", "\"\<Survivors(%)\>\"", ",", 
                "\"\<Survival in pulsed exposure\>\"", ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "42"}], 
               "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}]}], "]"}], ",", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Transpose", "[", 
                    RowBox[{"SDpred$Total$10", "[", 
                    RowBox[{"[", "trix", "]"}], "]"}], "]"}], "[", 
                   RowBox[{"[", "5", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"tEnd", "+", "0.25"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<time(days)\>\"", ",", "\"\<Survivors(%)\>\"", ",", 
                "\"\<Survival in pulsed exposure\>\"", ",", "\"\<\>\""}], 
               "}"}]}], ",", " ", 
             RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
             RowBox[{"GridLinesStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], 
               "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", 
                ",", "42"}], "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "1200"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], 
                 "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Red"}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Red"}], "]"}], ",", 
                RowBox[{"Directive", "[", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", 
                  "Black"}], "]"}]}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"DATAvalsRel", "[", 
              RowBox[{"[", "trix", "]"}], "]"}], ",", 
             RowBox[{"PlotMarkers", "->", 
              RowBox[{
               RowBox[{"MarkersScaledCol2", "[", 
                RowBox[{"Black", ",", 
                 RowBox[{"lighter", "=", "0"}], ",", 
                 RowBox[{"thick", "=", "0.045"}], ",", 
                 RowBox[{"filled", "=", "1"}], ",", 
                 RowBox[{"size", "=", "0.035"}]}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"DATAvalsRel", "[", 
               RowBox[{"[", 
                RowBox[{"trix", ",", 
                 RowBox[{"-", "1"}]}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"PlotMarkers", "->", 
              RowBox[{
               RowBox[{"MarkersScaledCol2", "[", 
                RowBox[{"Blue", ",", 
                 RowBox[{"lighter", "=", "0"}], ",", 
                 RowBox[{"thick", "=", "0.16"}], ",", 
                 RowBox[{"filled", "=", "0"}], ",", 
                 RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
               RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"trix", ",", "1", ",", "4"}], "}"}]}], "]"}]}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6385845142542343`*^9, 3.638584524351244*^9}, {
   3.638584574544263*^9, 3.638584632061014*^9}, {3.6385849742292275`*^9, 
   3.6385849846362677`*^9}, {3.638585221858988*^9, 3.6385852236791697`*^9}, {
   3.6390571869847956`*^9, 3.639057187892886*^9}, {3.64230112365594*^9, 
   3.6423011737285395`*^9}, {3.64230164021474*^9, 3.6423016428823395`*^9}, {
   3.642309335020149*^9, 3.6423093357074237`*^9}, 3.642309436620455*^9, 
   3.6423094676206536`*^9, {3.642323768377136*^9, 3.6423237690271363`*^9}, {
   3.642330592187204*^9, 3.642330641562204*^9}, 3.642330681358204*^9, {
   3.642393886947204*^9, 3.642393891842204*^9}, {3.642393930320204*^9, 
   3.6423939415362043`*^9}, {3.6423940290512037`*^9, 3.642394032002204*^9}, {
   3.642394103896204*^9, 3.642394106263204*^9}, {3.6423941508782043`*^9, 
   3.6423942086422043`*^9}, {3.6423946404182043`*^9, 3.642394705949204*^9}, {
   3.642394751820204*^9, 3.642394751947204*^9}, {3.648443161575433*^9, 
   3.648443170906366*^9}, {3.648450062485577*^9, 3.648450067406069*^9}, {
   3.6484502442817545`*^9, 3.6484503008364096`*^9}, 3.6484512842587423`*^9, {
   3.6484513515084667`*^9, 3.648451357760092*^9}, {3.648451584135727*^9, 
   3.6484515881451273`*^9}, {3.6484529467369733`*^9, 3.648452951853485*^9}, {
   3.6484545086701508`*^9, 3.6484545687621593`*^9}, {3.64845465647593*^9, 
   3.648454660508333*^9}, {3.648462659095112*^9, 3.6484626621024127`*^9}, {
   3.648462759050106*^9, 3.648462769747176*^9}, {3.6484628006332645`*^9, 
   3.6484628030665073`*^9}, {3.6538006721937447`*^9, 
   3.6538006832528505`*^9}, {3.653919453338709*^9, 3.6539194896590424`*^9}, {
   3.6539196836778917`*^9, 3.653919692101734*^9}}],

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-relative-SD-T1.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-relative-IT-T1.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-relative-SD-T2.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-SOT-validation-relative-IT-T2.gif\>\""}], ",", 
   RowBox[{"fig", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.648351579345872*^9, 3.64835158672961*^9}, {
  3.648451294279744*^9, 3.648451308231139*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"survivalDataPulsed", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<\\\\input/Pulse Tox Survival - Cypermethrin - Gpulex.txt\>\""}], 
     ",", "\"\<Table\>\""}], "]"}]}], ";", 
  RowBox[{"ITpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-ITpred$Total$10-summary.xlsx\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SDpred$Total$10", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SDpred$Total$10-summary.xlsx\>\""}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6385843906588764`*^9, 3.638584432156026*^9}, {
  3.638584600964905*^9, 3.6385846101648245`*^9}, {3.6385853199867997`*^9, 
  3.638585324395241*^9}, {3.6436877751999145`*^9, 3.643687779583522*^9}, {
  3.6484768525993204`*^9, 3.648476852927353*^9}}],

Cell[BoxData[
 RowBox[{"res", "=", 
  RowBox[{"GOFPredictions", "[", 
   RowBox[{"survivalDataPulsed", ",", "ITpred$Total$10"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.643687796618752*^9, 3.6436877968995523`*^9}, {
  3.643689771526911*^9, 3.643689787505825*^9}, {3.6436898445260863`*^9, 
  3.6436898446090913`*^9}, {3.6436899001102657`*^9, 3.6436899004182835`*^9}, {
  3.6484419302983174`*^9, 3.6484419304013276`*^9}, {3.648441963388626*^9, 
  3.648441964939781*^9}, {3.648442092401526*^9, 3.648442092801566*^9}, {
  3.6484768326863294`*^9, 3.6484768329653573`*^9}}],

Cell[BoxData[
 RowBox[{"res", "=", 
  RowBox[{"GOFPredictions", "[", 
   RowBox[{"survivalDataPulsed", ",", "SDpred$Total$10"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.643690584195393*^9, 3.643690584774426*^9}, {
  3.6484421183791237`*^9, 3.6484421187061567`*^9}, {3.648476862463307*^9, 
  3.6484768626873293`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Creating  a dose-response relationship incl uncertainty", "Title",
 CellChangeTimes->{{3.638338774347769*^9, 3.638338797269998*^9}, {
  3.642394219410204*^9, 3.642394222513204*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<\\\\input/LC50 Survival - Cypermethrin - Gpulex.txt\>\""}], ",", 
     "\"\<Table\>\""}], "]"}]}], ";", 
  RowBox[{"data", "//", "TableForm"}]}]], "Input",
 CellChangeTimes->{{3.6331843103662753`*^9, 3.63318436701394*^9}, {
   3.63318448482872*^9, 3.6331844851337504`*^9}, 3.6331886244616413`*^9, 
   3.6345318030257883`*^9, {3.634531883220807*^9, 3.634531883628848*^9}, {
   3.6345319563361177`*^9, 3.6345319660230865`*^9}, {3.634541227545355*^9, 
   3.6345412497773547`*^9}}],

Cell[BoxData["\n"], "Input",
 CellChangeTimes->{3.6539198462971525`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"expData", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
         "\"\<\\\\input/Cw - Cypermethrin - \>\"", "<>", "#", "<>", 
         "\"\<.txt\>\""}], ",", "\"\<Table\>\""}], "]"}], "&"}], "/@", 
     RowBox[{"{", 
      RowBox[{
      "\"\<E\>\"", ",", "\"\<F\>\"", ",", "\"\<G\>\"", ",", "\"\<H\>\"", ",", 
       "\"\<I\>\"", ",", "\"\<J\>\"", ",", "\"\<K\>\"", ",", "\"\<L\>\""}], 
      "}"}]}]}], ";", 
   RowBox[{"expData", "//", "TableForm"}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.633184508071044*^9, 3.633184530813318*^9}, {
   3.633184601384374*^9, 3.6331846698522205`*^9}, {3.6331847147507095`*^9, 
   3.633184718238058*^9}, 3.633188638758071*^9, 3.6345318067221584`*^9, {
   3.6345318863821235`*^9, 3.6345319230357885`*^9}, {3.6345319722177057`*^9, 
   3.6345319723767223`*^9}, {3.6345412444763546`*^9, 3.634541246616355*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"opt$Haz$BG$B", "=", "0.027779557010169337`"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.638340242047469*^9, 3.638340243248481*^9}, 
   3.6384449848792114`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tvefunc", "[", 
    RowBox[{"t_", ",", "dur_", ",", "conc_"}], "]"}], ":=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"conc", ",", 
         RowBox[{"t", "<", "dur"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"t", "\[GreaterEqual]", "dur"}]}], "}"}]}], "}"}], ",", 
     "0"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"noTreats", "=", 
   RowBox[{
    RowBox[{"Length", "[", 
     RowBox[{"data", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}], "-", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "i"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "2", ",", 
       RowBox[{"noTreats", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$concOrig", "=", 
   RowBox[{"Reverse", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"expData", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatmentsOrig", "=", 
   RowBox[{"Reverse", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"N", "@", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", "data", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"#", "+", "1"}], "]"}], "]"}], ",", "1"}], "]"}], "/", 
          RowBox[{"SOT$data$initAbundance", "[", 
           RowBox[{"[", "#", "]"}], "]"}]}], ")"}], ")"}]}], "&"}], "/@", 
     RowBox[{"Range", "[", "noTreats", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tvefunc", "[", 
      RowBox[{"t", ",", "4", ",", "#"}], "]"}], "&"}], "/@", "SOT$conc"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$concOrig", "}"}], ",", "SOT$treatmentsOrig", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"SOT$data$CYP", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "11"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"SOT$data$CYP", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{"SOT$data$CYP", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.6383404853769464`*^9, {3.638445215569211*^9, 3.6384452224802113`*^9}, {
   3.638587584421221*^9, 3.6385875900447826`*^9}, {3.6484659677259417`*^9, 
   3.648465969254095*^9}}],

Cell[CellGroupData[{

Cell["Exposure levels in the experiments exponentially increasing", "Chapter",
 CellChangeTimes->{{3.6384416248161483`*^9, 3.638441643330595*^9}}],

Cell[BoxData[
 RowBox[{"SOT$data$CYP", "[", 
  RowBox[{"[", "3", "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Log", "@", 
   RowBox[{"SOT$data$CYP", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638338262814845*^9, 3.6383382661048126`*^9}, {
  3.6383383177022963`*^9, 3.6383383460170135`*^9}, {3.6383584639492435`*^9, 
  3.6383584795401525`*^9}}],

Cell[BoxData[
 RowBox[{"Log", "[", 
  RowBox[{"SOT$data$CYP", "[", 
   RowBox[{"[", "3", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6383383853307486`*^9, 3.638338388610749*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "5.318520073865556`"}], ",", 
    RowBox[{"-", "4.319991243754429`"}], ",", 
    RowBox[{"-", "3.3242363405260273`"}], ",", 
    RowBox[{"-", "2.3289290683336477`"}], ",", 
    RowBox[{"-", "1.3348410795309749`"}], ",", 
    RowBox[{"-", "0.3406609972426675`"}], ",", "0.6535744054401221`"}], "}"}],
   "]"}]], "Input",
 CellChangeTimes->{{3.638338395991749*^9, 3.6383384067237487`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"Exp", "[", 
   RowBox[{"Range", "[", 
    RowBox[{
     RowBox[{"-", "5.3"}], ",", "1.7", ",", "0.25"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.638338454147749*^9, 3.6383385122037487`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Make up an exposure series also exponentially increasing", "Chapter",
 CellChangeTimes->{{3.638441650628619*^9, 3.6384416628416386`*^9}, {
  3.638441716438771*^9, 3.638441717051525*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DR$exp$data", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "5.3"}], ",", "1.7", ",", "0.25"}], "]"}], "]"}], ",", 
     "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nrExp", "=", 
   RowBox[{"Length", "[", "DR$exp$data", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NinitAcute", "=", "20"}], ";"}]}], "Input",
 CellChangeTimes->{{3.638338561378749*^9, 3.638338577720749*^9}, {
  3.63834074636456*^9, 3.638340752274619*^9}, {3.6383459516183043`*^9, 
  3.638345967910327*^9}, {3.6392225578862915`*^9, 3.6392225637418766`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Create a corresponding dataset, survival data is not used hence dummy values\
\>", "Chapter",
 CellChangeTimes->{{3.638441671948923*^9, 3.638441713990773*^9}, {
  3.638587602835062*^9, 3.638587604283207*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tvefunc", "[", 
    RowBox[{"t_", ",", "dur_", ",", "conc_"}], "]"}], ":=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"conc", ",", 
         RowBox[{"t", "<", "dur"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"t", "\[GreaterEqual]", "dur"}]}], "}"}]}], "}"}], ",", 
     "0"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"noTreats", "=", "nrExp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"NinitAcute", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "5.3"}], ",", "1.7", ",", "0.25"}], "]"}], "]"}], ",", 
     "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0.9", ",", "0.8", ",", "0.7", ",", "0.6"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tvefunc", "[", 
      RowBox[{"t", ",", "4", ",", "#"}], "]"}], "&"}], "/@", "SOT$conc"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$CYP$DR", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"SOT$data$CYP$DR", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "33"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"SOT$data$CYP$DR", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{"SOT$data$CYP$DR", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.638338534805749*^9, 3.6383385504077487`*^9}, {
   3.638338585423749*^9, 3.638338638338749*^9}, {3.63833867656279*^9, 
   3.638338694504969*^9}, {3.6383387377834024`*^9, 3.6383387555455804`*^9}, {
   3.638339139083154*^9, 3.6383391682851543`*^9}, {3.6383395712521544`*^9, 
   3.638339611150154*^9}, {3.6383397756397867`*^9, 3.6383397821708517`*^9}, 
   3.6383459721523333`*^9, 3.6383583058711734`*^9, 3.639222568545357*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\[LineSeparator]Now calculate predictions of survival after 4 days for the \
complete exposure series\
\>", "Chapter",
 CellChangeTimes->{{3.638441705120392*^9, 3.638441732693143*^9}, {
   3.638443530935268*^9, 3.638443544657268*^9}, 3.6539198731328354`*^9}],

Cell[BoxData[
 RowBox[{"Log", "[", 
  RowBox[{"10", ",", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "5.3"}], ",", "1.7", ",", "0.25"}], "]"}], "]"}], ",", 
     "0"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.642388832996204*^9, 3.642388852921204*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MaxIX", "=", "500"}], ";"}]], "Input",
 CellChangeTimes->{{3.6392822281107445`*^9, 3.639282230611987*^9}, {
  3.6392825477328467`*^9, 3.6392825481926165`*^9}, {3.648273254292649*^9, 
  3.6482732741706486`*^9}, {3.6482733580786486`*^9, 3.6482733729646487`*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ITpred$Total$N10$DR", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$data$CYP$DR", ",", "\[IndentingNewLine]", "ITmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesIT"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParIT$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$B"}], ",", "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "4"}], ",", 
      RowBox[{"Ninit", "=", "NinitAcute"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "nrExp"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "4"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6383389580586076`*^9, 3.6383390026940546`*^9}, {
   3.6383390464054933`*^9, 3.6383390579866095`*^9}, {3.638339537288154*^9, 
   3.638339552261154*^9}, {3.638339680938154*^9, 3.638339694499154*^9}, 
   3.6383397367643976`*^9, {3.6383406159762545`*^9, 3.6383406542126374`*^9}, {
   3.6383427543476505`*^9, 3.638342792161029*^9}, {3.63834361976929*^9, 
   3.6383436326081123`*^9}, 3.6383459754423375`*^9, {3.6383468176695223`*^9, 
   3.6383468300705395`*^9}, {3.6383509023945475`*^9, 3.6383509028545485`*^9}, 
   3.6384417514195013`*^9, {3.638586219617754*^9, 3.638586246161408*^9}, 
   3.638587094916275*^9, 3.6385871260953927`*^9, {3.6385872345032325`*^9, 
   3.6385872354363256`*^9}, {3.6385939411972055`*^9, 3.638593943563442*^9}, 
   3.6392225715906615`*^9, {3.6392812105204573`*^9, 3.6392812107974854`*^9}, {
   3.6392812535357585`*^9, 3.639281253569762*^9}, {3.639282166028517*^9, 
   3.6392821886577797`*^9}, {3.639282235418766*^9, 3.639282256143632*^9}, 
   3.642387816328204*^9, {3.6423880841492043`*^9, 3.6423880850692043`*^9}, {
   3.642394770612204*^9, 3.6423947706352043`*^9}}],

Cell[BoxData["ITpred$Total$N10$DR"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ITpred$Total$N10$DR", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "16"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "14"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "7"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "12"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "12"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "10"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "12"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "9"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.894497265001178`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.891076293053136`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.88224586819178`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.85947689779996`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.800931389212224`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.651467870744387`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.27676718953454`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "16.378692588317712`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "14.43985161202267`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11.058509700868056`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "6.890632159555473`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "3.491532245549056`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.535285686279837`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.6273569399755309`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.24820868353132025`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.09691580440999431`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0376451313178418`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0145928296657424`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0056523242441971515`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.002188676681128286`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0008473925391767542`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0003280709017589446`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0001270115058895342`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.000049171723158182974`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.00001903647938465069`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "7.369828636373726`*^-6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2.8531721293085454`*^-6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.104583341215743`*^-6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4.2763080052576147`*^-7"}], "}"}]}], "}"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6484440256818347`*^9, 3.6484440298242493`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"labels", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(10\), \(-2\)]\)\>\""}], " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(10\), \(-1\)]\)\>\""}], " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(0\)]\)\>\""}], 
      " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(1\)]\)\>\""}], 
      " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(2\)]\)\>\""}], 
      " ", "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.64230329467474*^9, 3.64230334155014*^9}, 
   3.6423033897651396`*^9, {3.642394559680204*^9, 3.642394566998204*^9}}],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Log", "[", 
         RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"100", "/", "NinitAcute"}], "*", 
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}], 
      "]"}], ",", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", 
              RowBox[{"SOT$concOrig", "[", 
               RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"100", "*", 
             RowBox[{"SOT$treatmentsOrig", "[", 
              RowBox[{"[", 
               RowBox[{"ix", ",", 
                RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}], ",", "1"}], 
       "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "}"}], ",", "2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.653920417792296*^9, 3.6539204178873053`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", 
      RowBox[{
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", 
               RowBox[{"SOT$concOrig", "[", 
                RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
             RowBox[{"100", "*", 
              RowBox[{"SOT$treatmentsOrig", "[", 
               RowBox[{"[", 
                RowBox[{"ix", ",", 
                 RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}], ",", "1"}], 
        "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "}"}], ",", "1"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6539202476712856`*^9, 3.653920389795497*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fig", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"100", "/", "NinitAcute"}], "*", 
             RowBox[{
              RowBox[{"ITpred$Total$N10$DR", "[", 
               RowBox[{"[", 
                RowBox[{"(*", "median", "*)"}], 
                RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"100", "/", "NinitAcute"}], "*", 
             RowBox[{
              RowBox[{"ITpred$Total$N10$DR", "[", 
               RowBox[{"[", 
                RowBox[{"(*", "median", "*)"}], 
                RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"100", "/", "NinitAcute"}], "*", 
             RowBox[{
              RowBox[{"ITpred$Total$N10$DR", "[", 
               RowBox[{"[", 
                RowBox[{"(*", "median", "*)"}], 
                RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"100", "/", "NinitAcute"}], "*", 
             RowBox[{
              RowBox[{"ITpred$Total$N10$DR", "[", 
               RowBox[{"[", 
                RowBox[{"(*", "median", "*)"}], 
                RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", 
             RowBox[{"SOT$concOrig", "[", 
              RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"100", "*", 
            RowBox[{"SOT$treatmentsOrig", "[", 
             RowBox[{"[", 
              RowBox[{"ix", ",", 
               RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Joined", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
       "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
       "}"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
        ",", "\"\<Day 4 of acute test\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
        ",", 
        RowBox[{"Directive", "[", 
         RowBox[{"Black", ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", ",", 
        "55"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
        RowBox[{
         RowBox[{"MarkersScaledCol2", "[", 
          RowBox[{"Red", ",", 
           RowBox[{"lighter", "=", "0"}], ",", 
           RowBox[{"thick", "=", "0.045"}], ",", 
           RowBox[{"filled", "=", "1"}], ",", 
           RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], 
        ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
         "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
         "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
         "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
         "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", "2", "}"}]}], ",", 
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"FillingStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{"Orange", ",", 
          RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
        RowBox[{"Directive", "[", 
         RowBox[{"Orange", ",", 
          RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], "]"}]}],
   "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.638345736342001*^9, 3.638345900640232*^9}, {
   3.6383459343942795`*^9, 3.638345940314288*^9}, {3.638345983123348*^9, 
   3.6383459871643543`*^9}, {3.638346019166399*^9, 3.638346078683483*^9}, {
   3.6383461190085397`*^9, 3.6383462199686813`*^9}, {3.638346470895034*^9, 
   3.638346492788065*^9}, {3.638346543214136*^9, 3.638346549144144*^9}, {
   3.6383466090642285`*^9, 3.6383467474204235`*^9}, {3.6383494024581604`*^9, 
   3.6383494181191826`*^9}, {3.638587145319315*^9, 3.6385871458383665`*^9}, {
   3.638587613555134*^9, 3.6385876181305914`*^9}, {3.6385918039345007`*^9, 
   3.6385918493190384`*^9}, {3.6385918993350396`*^9, 
   3.6385919379158974`*^9}, {3.6385922778748894`*^9, 
   3.6385923018432865`*^9}, {3.638592485940694*^9, 3.6385924859856987`*^9}, {
   3.638686367535401*^9, 3.63868636823147*^9}, {3.6386988707957964`*^9, 
   3.638698872204937*^9}, {3.6386989261156926`*^9, 3.638698932923373*^9}, {
   3.639064249811599*^9, 3.639064286674285*^9}, {3.639221411296644*^9, 
   3.6392214367661905`*^9}, {3.64230173532514*^9, 3.64230179254134*^9}, {
   3.64230182404574*^9, 3.64230182431094*^9}, {3.64230186728234*^9, 
   3.64230193062834*^9}, {3.64230197695374*^9, 3.6423020432501397`*^9}, {
   3.6423029092287397`*^9, 3.6423029095875397`*^9}, {3.64230334543454*^9, 
   3.6423033737399397`*^9}, {3.64230345631514*^9, 3.64230346665794*^9}, {
   3.642309200876513*^9, 3.6423092019229317`*^9}, {3.6423094915544395`*^9, 
   3.642309491691467*^9}, {3.642330885812204*^9, 3.6423309272422037`*^9}, {
   3.642330958556204*^9, 3.6423309629402037`*^9}, {3.642331002696204*^9, 
   3.642331099214204*^9}, {3.642331167779204*^9, 3.642331273172204*^9}, 
   3.642388817942204*^9, {3.642388861383204*^9, 3.642388868096204*^9}, {
   3.6423942485102043`*^9, 3.642394278835204*^9}, {3.642394355599204*^9, 
   3.6423944510502043`*^9}, {3.642394540092204*^9, 3.642394582890204*^9}, 
   3.648444081193385*^9, {3.6484540667989683`*^9, 3.648454068684157*^9}, {
   3.64846268947915*^9, 3.648462692309433*^9}, {3.653920110358556*^9, 
   3.653920129024422*^9}, {3.6539201624007597`*^9, 3.653920180292548*^9}, {
   3.6539204812946453`*^9, 3.6539204876592817`*^9}, {3.6539205233188477`*^9, 
   3.653920527695285*^9}}],

Cell[BoxData[
 RowBox[{"{", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"100", "/", "NinitAcute"}], "*", 
         RowBox[{
          RowBox[{"ITpred$Total$N10$DR", "[", 
           RowBox[{"[", 
            RowBox[{"(*", "median", "*)"}], 
            RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"100", "/", "NinitAcute"}], "*", 
         RowBox[{
          RowBox[{"ITpred$Total$N10$DR", "[", 
           RowBox[{"[", 
            RowBox[{"(*", "median", "*)"}], 
            RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"100", "/", "NinitAcute"}], "*", 
         RowBox[{
          RowBox[{"ITpred$Total$N10$DR", "[", 
           RowBox[{"[", 
            RowBox[{"(*", "median", "*)"}], 
            RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"100", "/", "NinitAcute"}], "*", 
         RowBox[{
          RowBox[{"ITpred$Total$N10$DR", "[", 
           RowBox[{"[", 
            RowBox[{"(*", "median", "*)"}], 
            RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "1"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "2"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "3"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "4"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "5"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "6"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "7"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"10", ",", 
       RowBox[{"SOT$concOrig", "[", 
        RowBox[{"[", 
         RowBox[{"ix", "=", "8"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"100", "*", 
      RowBox[{"SOT$treatmentsOrig", "[", 
       RowBox[{"[", 
        RowBox[{"ix", ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}]}], 
  "\[IndentingNewLine]", "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "1"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "2"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "3"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "4"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "5"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "6"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "7"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "8"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 4 of acute test\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", ",", 
       "55"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "5", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "6", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "7", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "8", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.653920557606276*^9, 3.6539206350100155`*^9}, {
  3.653920665936108*^9, 3.6539206889514093`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\</CYP-IT-DR-calibration.gif\>\""}], ",", "fig"}], "]"}]], "Input",
 CellChangeTimes->{3.6385938769217787`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-calibration.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"SOT$concOrig", "[", 
             RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"100", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}]}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-calibration-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"SOT$concOrig", "[", 
             RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"NinitAcute", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}]}], "]"}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.642388030711204*^9, 3.642388035652204*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.642394484810204*^9}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{"SDpred$Total$N10$DR", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$data$CYP$DR", ",", "\[IndentingNewLine]", "SDmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesSD"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParSD$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$B"}], ",", "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "4"}], ",", 
      RowBox[{"Ninit", "=", "NinitAcute"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "30"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "4"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6383436614681635`*^9, 3.638343672138582*^9}, 
   3.6385857817269692`*^9, {3.6385906989940176`*^9, 3.638590723578476*^9}, {
   3.638593933821468*^9, 3.6385939367397594`*^9}, 3.639222650273529*^9, {
   3.6392812659950047`*^9, 3.639281266182023*^9}, {3.639282215647467*^9, 
   3.6392822496893277`*^9}, {3.642388076478204*^9, 3.6423880957012043`*^9}, {
   3.642394496763204*^9, 3.642394496803204*^9}}],

Cell[BoxData["SDpred$Total$N10$DR"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SDpred$Total$N10$DR", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "16"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "12"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "10"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "12"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "5"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "20"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "15"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.89665896680734`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.89665896657282`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966605578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.896658966572822`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "17.89665897827503`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "15.458755728743279`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "10.040730644584366`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "5.065163175251968`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.9395215628874298`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.5351923892286452`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.09854836266982081`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.010909071981402231`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.0006330049954472674`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0.000016108689468337304`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.428074772575131`*^-7"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.329770266767253`*^-13"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4.1083384361423834`*^-17"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2.5391215761044903`*^-28"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "5.6369089960616555`*^-40"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "7.676341752621507`*^-30"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "7.144939783246695`*^-18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.0684800173071541`*^-16"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1.6497231235375112`*^-32"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.648444099981264*^9, 3.648444102820548*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"SOT$concOrig", "[", 
             RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"100", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 4 of acute test\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "55", ",", 
       "Bold"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.638588894840249*^9, 3.638588901728938*^9}, {
   3.6385906065557747`*^9, 3.638590607193838*^9}, {3.6385938839344797`*^9, 
   3.6385938845825443`*^9}, 3.639222660211523*^9, 3.6423881107022038`*^9, {
   3.642388897487204*^9, 3.642388903645204*^9}, {3.6423945084922037`*^9, 
   3.642394529981204*^9}, {3.6423945936102037`*^9, 3.642394593640204*^9}, {
   3.648444113424608*^9, 3.648444116584924*^9}, {3.648451465211836*^9, 
   3.648451466116926*^9}, 3.648454058148103*^9, {3.6484626964738493`*^9, 
   3.648462698893091*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "1"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "2"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "3"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "4"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "5"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "6"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "7"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{"SOT$concOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", "=", "8"}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{"ix", ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 4 of acute test\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", ",", 
       "55"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "5", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "6", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "7", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Red", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.045"}], ",", 
          RowBox[{"filled", "=", "1"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "8", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.65392072176369*^9, 3.6539207246349773`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-calibration.gif\>\""}], ",", "fig"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.638593894202506*^9, 3.6385938996420503`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-calibration.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"SOT$concOrig", "[", 
             RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"NinitAcute", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}]}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-calibration-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitAcute"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"SOT$concOrig", "[", 
             RowBox[{"[", "ix", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"NinitAcute", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{"ix", ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}]}], "]"}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.6385876980425816`*^9, 3.6385877357553525`*^9}, {
   3.6385911635434675`*^9, 3.638591164255539*^9}, {3.6386863874493923`*^9, 
   3.638686397897437*^9}, {3.6386937083410306`*^9, 3.6386937087590303`*^9}, {
   3.6390643526738844`*^9, 3.6390643536169786`*^9}, {3.6393758167446685`*^9, 
   3.6393758676017537`*^9}, {3.6393760405590477`*^9, 
   3.6393760477057624`*^9}, {3.64230341797394*^9, 3.64230342211294*^9}, {
   3.6423315103332043`*^9, 3.6423315481832037`*^9}, 3.642332164636204*^9, {
   3.642388126594204*^9, 3.642388132594204*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Create exposure series with pulsed profile, by multiplication of original \
pulsed data with a factor series.\
\>", "Chapter",
 CellChangeTimes->{{3.638443688402268*^9, 3.638443736934268*^9}, {
  3.642394608555204*^9, 3.6423946094912043`*^9}}],

Cell[BoxData[
 RowBox[{"Drop", "[", 
  RowBox[{
   RowBox[{"expDataPulse", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.6383585272368155`*^9, 3.6383585272668133`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NInitPulse", "=", "80"}], ";"}]], "Input",
 CellChangeTimes->{{3.6392813436267667`*^9, 3.6392813566770716`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tvefunc", "[", 
    RowBox[{"t_", ",", "dur_", ",", "conc_"}], "]"}], ":=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"conc", ",", 
         RowBox[{"t", "<", "dur"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"t", "\[GreaterEqual]", "dur"}]}], "}"}]}], "}"}], ",", 
     "0"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"noTreats", "=", "nrExp"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"NInitPulse", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "5.3"}], ",", "1.7", ",", "0.25"}], "]"}], "]"}], ",", 
     "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0.9", ",", "0.8", ",", "0.7", ",", "0.6"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "noTreats"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tvefunc", "[", 
      RowBox[{"t", ",", "4", ",", "#"}], "]"}], "&"}], "/@", "SOT$conc"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$CYP$DR", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"SOT$data$CYP$DR", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "33"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"SOT$data$CYP$DR", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{"SOT$data$CYP$DR", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.6392813634247465`*^9}],

Cell[BoxData[
 RowBox[{"scaleDRPulse", "=", 
  RowBox[{"DR$exp$data", "/", "0.128735"}]}]], "Input",
 CellChangeTimes->{{3.638358544698594*^9, 3.638358578141254*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"{", 
    RowBox[{
    "NInitPulse", ",", "NInitPulse", ",", "NInitPulse", ",", "NInitPulse"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<D\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatmentsOrig", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], "/", 
       "NInitPulse"}], ")"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"expDataPulse", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatmentsOrig", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6384437915292683`*^9, 3.638443796894268*^9}, {
  3.6392813689593*^9, 3.6392813745178556`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expDataPulse$DR", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"expDataPulse", "[", 
             RowBox[{"[", 
              RowBox[{"tr", "=", "1"}], "]"}], "]"}], ",", "1"}], "]"}], 
          "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"scaleDRPulse", "[", 
          RowBox[{"[", "ix", "]"}], "]"}], "*", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"Drop", "[", 
            RowBox[{
             RowBox[{"expDataPulse", "[", 
              RowBox[{"[", 
               RowBox[{"tr", "=", "1"}], "]"}], "]"}], ",", "1"}], "]"}], 
           "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ix", ",", "1", ",", "30"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6383590613628464`*^9, 3.6383591146798463`*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"expDataPulse$DR", ",", 
   RowBox[{"Joined", "->", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359120340846*^9, 3.638359163505846*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7",
      ",", "8", ",", "9", ",", "10"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"NInitPulse", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", "scaleDRPulse"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0.9", ",", "0.8", ",", "0.7", ",", "0.6", ",", "0.5", ",", 
       "0.4", ",", "0.3", ",", "0.2", ",", "0.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{"expDataPulse$DR", "[", 
        RowBox[{"[", "#", "]"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "nrExp", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP$DR", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.638359194625846*^9, 3.638359333234846*^9}, {
  3.6392813781752214`*^9, 3.639281416439047*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{
   "ITpred$Total$N10$DR$delta$PulsedA$DT10", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$dataPulsed$CYP$DR", ",", "\[IndentingNewLine]", "ITmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesIT"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParIT$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "10"}], ",", 
      RowBox[{"Ninit", "=", "NInitPulse"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "nrExp"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "10"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "=", 
    RowBox[{"{", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359353788846*^9, 3.638359382004846*^9}, {
   3.6384453338082113`*^9, 3.6384453365462112`*^9}, 3.638459617914612*^9, {
   3.638588695060273*^9, 3.6385887111788855`*^9}, {3.6385939114852343`*^9, 
   3.6385939214592314`*^9}, {3.6392813212505293`*^9, 3.63928132545695*^9}, 
   3.6392814241388173`*^9, {3.639282292113596*^9, 3.639282358916241*^9}, 
   3.642394797450204*^9, {3.642407883982204*^9, 3.642407884012204*^9}}],

Cell[BoxData["ITpred$Total$N10$DR$delta$PulsedA$DT10"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "69"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "66"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "50"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "33"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "61"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "54"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "52"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "46"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "32"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "18"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "78"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "78"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "77"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "77"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "74"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "45"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "28"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "13"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "9"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95870202274799`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95846144321445`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95783416774943`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95617083239506`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95191971363674`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.94173508100485`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.84523589653485`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.91878160104098`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.85930896603136`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "69.89673098839576`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "68.51528592414664`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "67.12797551186728`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "62.71213678133084`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "39.13136700238863`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "35.0523854959598`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "11.935914237169616`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "7.822220768307337`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.1771434133846808`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.8862597207881828`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.5482691053829755`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.23147512181446475`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.08853034699033833`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.03380744366404022`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.013465069031741187`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.00527635654453117`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.001994654764355114`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.000781999334107412`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.00030360995499081433`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0001173678942042155`"}], "}"}]}], "}"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.648444146167882*^9, 3.648444150277293*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"labels", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(10\), \(-2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(10\), \(-1\)]\)\>\""}], " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(0\)]\)\>\""}], 
      " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(1\)]\)\>\""}], 
      " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<\!\(\*SuperscriptBox[\(10\), \(2\)]\)\>\""}], 
      " ", "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.64230329467474*^9, 3.64230334155014*^9}, 
   3.6423033897651396`*^9, {3.6423098038075047`*^9, 3.64230984266339*^9}, {
   3.642396412193204*^9, 3.6423964309112043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CmaxPulse", "=", "0.128735"}], ";"}]], "Input",
 CellChangeTimes->{{3.642388343269204*^9, 3.642388347869204*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
          RowBox[{"100", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"ix", "=", "1"}], ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 10 of pulsed exposure\>\"", ",", "\"\<\>\""}], "}"}]}], 
    ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", ",", 
       "55"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Blue", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.16"}], ",", 
          RowBox[{"filled", "=", "0"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.642396290575204*^9, 3.642396339004204*^9}, {
   3.642396393177204*^9, 3.642396395397204*^9}, {3.6423964499662037`*^9, 
   3.642396461515204*^9}, {3.642411971975683*^9, 3.6424119726456842`*^9}, {
   3.6484441644827137`*^9, 3.648444166687934*^9}, {3.6484514759489093`*^9, 
   3.6484514770610204`*^9}, {3.6484539670719967`*^9, 
   3.6484540066609554`*^9}, {3.648462703232525*^9, 3.648462705797782*^9}, 
   3.6539199077572975`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseA.gif\>\""}], ",", "fig"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6385938011732044`*^9, 3.638593830015088*^9}, 
   3.6385939651405993`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseA.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "lcl", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "ucl", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "opt", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"NInitPulse", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"trix", "=", "1"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}]}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.638588643499118*^9, 3.63858866152392*^9}, {
  3.6385935419652863`*^9, 3.6385935426293526`*^9}, {3.6385935738964787`*^9, 
  3.638593575166606*^9}, {3.638687442077086*^9, 3.6386874490947876`*^9}, {
  3.6386938221220303`*^9, 3.6386938223610306`*^9}, {3.6386938570140305`*^9, 
  3.6386938571820307`*^9}, {3.6390645903571515`*^9, 3.6390645964357595`*^9}, {
  3.642331841796204*^9, 3.642331874033204*^9}, {3.6423965138192043`*^9, 
  3.6423965574442043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseA-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "lcl", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "ucl", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "opt", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"trix", "=", "1"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}]}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.639376029461938*^9, 3.6393760335983515`*^9}, {
   3.6393760696709585`*^9, 3.6393760889048815`*^9}, {3.6423099960017223`*^9, 
   3.642310001170239*^9}, 3.6423318560242043`*^9, {3.642396520140204*^9, 
   3.642396521570204*^9}, 3.6423965654442043`*^9}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{
   "SDpred$Total$N10$DR$delta$PulsedA$DT10", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$dataPulsed$CYP$DR", ",", "\[IndentingNewLine]", "SDmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesSD"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParSD$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "10"}], ",", 
      RowBox[{"Ninit", "=", "NInitPulse"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "nrExp"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "10"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359353788846*^9, 3.638359382004846*^9}, {
   3.6384453338082113`*^9, 3.6384453365462112`*^9}, 3.638459617914612*^9, {
   3.638588695060273*^9, 3.6385887111788855`*^9}, {3.6385939114852343`*^9, 
   3.6385939214592314`*^9}, {3.6385940175338383`*^9, 3.6385940712313213`*^9}, 
   3.6392814872211246`*^9, {3.6392824203978806`*^9, 3.6392824289580207`*^9}, {
   3.642396592170204*^9, 3.642396593450204*^9}, 3.642397041530204*^9, 
   3.642398941920204*^9}],

Cell[BoxData["SDpred$Total$N10$DR$delta$PulsedA$DT10"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "42"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "23"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "9"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "57"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "61"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "49"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "15"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "78"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "76"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "65"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "39"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "10"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650577`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025340647`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502565058`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025631746`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502565058`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650571`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502565054`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.58920327970186`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59.7240048805697`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "39.84882134572898`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "17.575026657764052`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4.55924792632207`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.6880080610567547`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.052705746777018954`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0017012879014412265`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.000018129500629258865`"}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4.681067194772438`*^-8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.955183103291562`*^-11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "7.911882425131208`*^-16"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.350988701644575`*^-37"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.974702782772365`*^-50"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.038577722192478`*^-65"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.648444177601025*^9, 3.64844418064733*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
          RowBox[{"100", "*", 
           RowBox[{"SOT$treatmentsOrig", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"ix", "=", "1"}], ",", 
              RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "1", ",", "8"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 10 of pulsed exposure\>\"", ",", "\"\<\>\""}], "}"}]}], 
    ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "55", ",", 
       "Bold"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Blue", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.16"}], ",", 
          RowBox[{"filled", "=", "0"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.638361837194846*^9, 3.638361839976846*^9}, {
   3.638443803288268*^9, 3.6384438543532677`*^9}, {3.6384443265819883`*^9, 
   3.6384443295761003`*^9}, {3.6384453401502113`*^9, 
   3.6384453424972115`*^9}, {3.638445439286211*^9, 3.638445460933711*^9}, {
   3.6385937973628235`*^9, 3.6385937981148987`*^9}, {3.6385940363567204`*^9, 
   3.638594037060791*^9}, {3.6385940739122934`*^9, 3.638594075677642*^9}, 
   3.639281499145317*^9, {3.6423989638742037`*^9, 3.642398989243204*^9}, {
   3.6484441850117664`*^9, 3.6484441893562007`*^9}, {3.6484514825335674`*^9, 
   3.6484514834526596`*^9}, {3.648454019291218*^9, 3.648454022038493*^9}, {
   3.6484627096561675`*^9, 3.6484627118063827`*^9}, 3.653919920139536*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseA.gif\>\""}], ",", "fig"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6385938011732044`*^9, 3.638593830015088*^9}, 
   3.6385939651405993`*^9, {3.6385940415202365`*^9, 3.6385940422563105`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseA.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "lcl", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "ucl", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "opt", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"NinitPulse", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"trix", "=", "1"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}]}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.638588643499118*^9, 3.63858866152392*^9}, {
   3.6385935419652863`*^9, 3.6385935426293526`*^9}, {3.6385935738964787`*^9, 
   3.638593575166606*^9}, {3.638593680579146*^9, 3.638593685267615*^9}, {
   3.63868741791267*^9, 3.638687433525231*^9}, {3.638693892739031*^9, 
   3.6386938930760307`*^9}, {3.63906466175029*^9, 3.6390646668487997`*^9}, {
   3.642332472761204*^9, 3.642332484971204*^9}, 3.6423990247202044`*^9, {
   3.6423990654402037`*^9, 3.642399066080204*^9}, {3.642412185351119*^9, 
   3.6424121858811197`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseA-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "lcl", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "ucl", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedA$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "opt", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"trix", "=", "1"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}]}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.639376095616553*^9, 3.6393761179447856`*^9}, {
   3.642310111174238*^9, 3.642310117422863*^9}, 3.642332456350204*^9, {
   3.642399040839204*^9, 3.6423990729522038`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Create pulsed exposure series B", "Chapter",
 CellChangeTimes->{{3.638444462659218*^9, 3.6384444740085683`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.638358544698594*^9, 3.638358578141254*^9}, 
   3.638444482370781*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"{", 
    RowBox[{
    "NInitPulse", ",", "NInitPulse", ",", "NInitPulse", ",", "NInitPulse"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<D\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatmentsOrig", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", "survivalDataPulsed", "]"}], "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], "/", 
       "NInitPulse"}], ")"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"expDataPulse", "[", 
          RowBox[{"[", "#", "]"}], "]"}], ",", "1"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatmentsOrig", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6384437915292683`*^9, 3.638443796894268*^9}, {
  3.639281549099312*^9, 3.6392815616805696`*^9}}],

Cell[BoxData[
 RowBox[{"scaleDRPulse", "=", 
  RowBox[{"DR$exp$data", "/", "0.128735"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"expDataPulse$DR", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"expDataPulse", "[", 
             RowBox[{"[", 
              RowBox[{"tr", "=", "2"}], "]"}], "]"}], ",", "1"}], "]"}], 
          "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"scaleDRPulse", "[", 
          RowBox[{"[", "ix", "]"}], "]"}], "*", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"Drop", "[", 
            RowBox[{
             RowBox[{"expDataPulse", "[", 
              RowBox[{"[", 
               RowBox[{"tr", "=", "2"}], "]"}], "]"}], ",", "1"}], "]"}], 
           "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ix", ",", "1", ",", "30"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6383590613628464`*^9, 3.6383591146798463`*^9}, {
  3.638444629272238*^9, 3.6384446333593674`*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"expDataPulse$DR", ",", 
   RowBox[{"Joined", "->", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359120340846*^9, 3.638359163505846*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tEndExp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$days", "=", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7",
      ",", "8", ",", "9", ",", "10"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$data$initAbundance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"NInitPulse", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "nrExp"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$conc", "=", "scaleDRPulse"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$treatments", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0.9", ",", "0.8", ",", "0.7", ",", "0.6", ",", "0.5", ",", 
       "0.4", ",", "0.3", ",", "0.2", ",", "0.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$CWs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{"expDataPulse$DR", "[", 
        RowBox[{"[", "#", "]"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "nrExp", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SOT$dataPulsed$CYP$DR", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "SOT$data$days", "}"}], ",", 
     RowBox[{"{", "SOT$data$initAbundance", "}"}], ",", 
     RowBox[{"{", "SOT$conc", "}"}], ",", "SOT$treatments", ",", 
     RowBox[{"{", "SOT$CWs", "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.638359194625846*^9, 3.638359333234846*^9}, {
  3.639281567666168*^9, 3.639281577769179*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{
   "ITpred$Total$N10$DR$delta$PulsedB$DT10", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$dataPulsed$CYP$DR", ",", "\[IndentingNewLine]", "ITmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesIT"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParIT$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "10"}], ",", 
      RowBox[{"Ninit", "=", "NInitPulse"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "nrExp"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "10"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359353788846*^9, 3.638359382004846*^9}, {
  3.638445292800211*^9, 3.638445306899211*^9}, {3.638588750323799*^9, 
  3.6385888059293594`*^9}, {3.6385942874554977`*^9, 3.6385942903371687`*^9}, {
  3.639281581934595*^9, 3.6392815852459264`*^9}, {3.6392824735190787`*^9, 
  3.6392824872574406`*^9}, {3.6423990838342037`*^9, 3.642399086284204*^9}, {
  3.642403404754204*^9, 3.6424034047942038`*^9}}],

Cell[BoxData["ITpred$Total$N10$DR$delta$PulsedB$DT10"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "69"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "66"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "47"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "31"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "17"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "61"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "57"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "56"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "57"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "48"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "45"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "35"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "21"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "78"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "76"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "74"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "63"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "52"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "31"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "15"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "9"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "8"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95868905838464`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9583557806829`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95756038794923`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95545865795124`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.94995627671801`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.94962773382474`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.93337828043445`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.88860086945584`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.80137857809137`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.54760259397897`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "69.59896137870284`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "65.6696962278732`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "61.26850071869172`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "50.94009776012805`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "27.496711843643347`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "16.20094991280877`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "7.28163789174483`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.6175703644351955`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.0278634206771644`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.49540052258469`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.22499810058049596`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.05645408757361242`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.029256189849957683`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.011554940507508254`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.004462542248641002`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0017132794818422998`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0006560748815834148`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0002587418483007239`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.00009878643708328622`"}], "}"}]}], "}"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6484442091301775`*^9, 3.6484442167779427`*^9}, 
   3.648558267094595*^9}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"ix", "=", "2"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 10 of pulsed exposure\>\"", ",", "\"\<\>\""}], "}"}]}], 
    ",", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Blue", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.16"}], ",", 
          RowBox[{"filled", "=", "0"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "55", ",", 
       "Bold"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.642399616871204*^9, {3.642399678361204*^9, 3.642399678501204*^9}, {
   3.642403333983204*^9, 3.642403334483204*^9}, 3.642407939339204*^9, {
   3.6484442240056653`*^9, 3.648444227413006*^9}, {3.648451489228237*^9, 
   3.6484514903503494`*^9}, 3.6484540363159204`*^9, {3.6484627169849005`*^9, 
   3.6484627194861507`*^9}, {3.6484779550898895`*^9, 3.6484779575876393`*^9}, 
   3.653919965038025*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseB.gif\>\""}], ",", "fig"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63859640506809*^9, 3.6385964079003735`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.642399691412204*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseB.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", "33"}], "}"}], 
       "}"}]}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-IT-DR-prediction-pulseB-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"ITpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{
          RowBox[{"100", "/", "NinitPulse"}], "*", "33"}]}], "}"}], "}"}]}], 
     "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6385888172424903`*^9, 3.638588834003166*^9}, {
  3.638687258029683*^9, 3.6386872647843585`*^9}, {3.63868738161204*^9, 
  3.638687386965575*^9}, {3.6386939588140306`*^9, 3.6386939591810303`*^9}, {
  3.639064840832286*^9, 3.6390648457127743`*^9}, {3.6393761253585267`*^9, 
  3.6393761520591965`*^9}, {3.6423101945225725`*^9, 3.6423101999071107`*^9}, {
  3.6423102729254117`*^9, 3.6423102730854278`*^9}, {3.6423327181422043`*^9, 
  3.642332735482204*^9}, {3.642399722005204*^9, 3.642399733372204*^9}, {
  3.6423998170982037`*^9, 3.642399819167204*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$CalculateNew", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{
   "SDpred$Total$N10$DR$delta$PulsedB$DT10", "=", "\[IndentingNewLine]", 
    RowBox[{"SOT$prediction$Uncertainty$Total", "[", "\[IndentingNewLine]", 
     RowBox[{
     "SOT$dataPulsed$CYP$DR", ",", "\[IndentingNewLine]", "SDmodel", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"parSetList", "=", "paramSamplesSD"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"optParSet", "=", "optParSD$CYP$AF"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BG$mort", "=", "opt$Haz$BG$Pulse"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"repl", "=", "1"}], ",", 
      RowBox[{"tEnd", "=", "10"}], ",", 
      RowBox[{"Ninit", "=", "NInitPulse"}], ",", 
      RowBox[{"nRand", "=", "10"}], ",", 
      RowBox[{"nrTr", "=", "nrExp"}], ",", 
      RowBox[{"lcl", "=", "0.1"}], ",", 
      RowBox[{"ucl", "=", "0.9"}], ",", 
      RowBox[{"deltaT", "=", "10"}], ",", 
      RowBox[{"maxIX", "=", "MaxIX"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.638359353788846*^9, 3.638359382004846*^9}, {
  3.638445292800211*^9, 3.638445306899211*^9}, {3.638588750323799*^9, 
  3.6385888059293594`*^9}, {3.6385941986728716`*^9, 3.6385942202704268`*^9}, {
  3.638594297190873*^9, 3.638594297470453*^9}, {3.6385963380573893`*^9, 
  3.6385963455551395`*^9}, {3.6392816415245533`*^9, 3.6392816446288643`*^9}, {
  3.639282507116165*^9, 3.639282515949746*^9}, {3.642399095365204*^9, 
  3.642399096147204*^9}, {3.642403352698204*^9, 3.642403352738204*^9}}],

Cell[BoxData["SDpred$Total$N10$DR$delta$PulsedB$DT10"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "71"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "68"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "55"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "33"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "15"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "61"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "57"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "60"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "59"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "52"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "19"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "80"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "79"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "78"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "72"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "47"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "22"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "11"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650698`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502731831`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025536496`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650577`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025654007`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025644266`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502565058`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.95885025650578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.9588502565058`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "70.00618146446512`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "58.41754469561578`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "33.675858828654015`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "12.018155919092894`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.3622211032124514`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.22161917076467932`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.008872243335989695`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0.0001287712213630771`"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "4.2392231282373983`*^-7"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2.0040860680248774`*^-14"}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.0223736314032088`*^-19"}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1.6331777594844388`*^-26"}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "6.010667288107302`*^-29"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "3.2561276872920253`*^-35"}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "80.`"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "9.652412730687794`*^-72"}], "}"}]}], "}"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.648444240363301*^9, 3.6484442440116653`*^9}}],

Cell[BoxData[
 RowBox[{"fig", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{"100", "*", 
          RowBox[{"SOT$treatmentsOrig", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"ix", "=", "2"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}]}], "}"}], "}"}]}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.4"}], ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "105"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", "False"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotMarkers", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       RowBox[{
        RowBox[{"MarkersScaledCol2", "[", 
         RowBox[{"Blue", ",", 
          RowBox[{"lighter", "=", "0"}], ",", 
          RowBox[{"thick", "=", "0.16"}], ",", 
          RowBox[{"filled", "=", "0"}], ",", 
          RowBox[{"size", "=", "0.05"}]}], "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"labels", ",", "Automatic", ",", "None", ",", "Automatic"}], 
      "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(PEC\), \(max\)]\) concentration [nmol \
\!\(\*SuperscriptBox[\(L\), \(-1\)]\)]\>\"", ",", "\"\<Survivors(%)\>\"", 
       ",", "\"\<Day 10 of pulsed exposure\>\"", ",", "\"\<\>\""}], "}"}]}], 
    ",", 
    RowBox[{"GridLinesStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Dashed"}], "]"}], 
       ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "]"}]}], "}"}]}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.002", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Arial\>\""}], ",", "Bold", ",", 
       "55"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "1800"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Green"}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Orange"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Black"}], 
        "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.0015", "]"}], ",", 
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0.005"}], "}"}], "]"}], ",", "Blue"}], 
        "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "2", "}"}]}], ",", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", "3", "}"}]}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FillingStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}], ",", 
       RowBox[{"Directive", "[", 
        RowBox[{"Orange", ",", 
         RowBox[{"Opacity", "[", "0.2", "]"}]}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.642399616871204*^9, {3.642399678361204*^9, 3.642399678501204*^9}, {
   3.6423997688002043`*^9, 3.6423997745832043`*^9}, {3.642403388387204*^9, 
   3.6424033890692043`*^9}, 3.642407950521204*^9, {3.6484442498702517`*^9, 
   3.6484442528305473`*^9}, {3.648451496596974*^9, 3.6484514972530394`*^9}, 
   3.6484540430915976`*^9, {3.648462725588761*^9, 3.6484627287670784`*^9}, {
   3.6484779632160764`*^9, 3.6484779652418737`*^9}, 3.6539199750700283`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseB.gif\>\""}], ",", "fig"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63859640506809*^9, 3.6385964079003735`*^9}, {
  3.642399792187204*^9, 3.642399792752204*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseB.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
             RowBox[{"[", 
              RowBox[{"(*", "median", "*)"}], 
              RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", "33"}], "}"}], 
       "}"}]}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\</CYP-SD-DR-prediction-pulseB-relative.xlsx\>\""}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"1", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"2", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"3", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "DR$exp$data"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"100", "/", "NinitPulse"}], "*", 
            RowBox[{
             RowBox[{"SDpred$Total$N10$DR$delta$PulsedB$DT10", "[", 
              RowBox[{"[", 
               RowBox[{"(*", "median", "*)"}], 
               RowBox[{"4", ",", "trix"}], "]"}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"trix", ",", "1", ",", "nrExp"}], "}"}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "CmaxPulse"}], "]"}], ",", 
         RowBox[{
          RowBox[{"100", "/", "NinitPulse"}], "*", "33"}]}], "}"}], "}"}]}], 
     "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6385888172424903`*^9, 3.638588834003166*^9}, {
  3.638687258029683*^9, 3.6386872647843585`*^9}, {3.63868738161204*^9, 
  3.638687386965575*^9}, {3.6386939588140306`*^9, 3.6386939591810303`*^9}, {
  3.639064840832286*^9, 3.6390648457127743`*^9}, {3.6393761253585267`*^9, 
  3.6393761520591965`*^9}, {3.6423101945225725`*^9, 3.6423101999071107`*^9}, {
  3.6423102729254117`*^9, 3.6423102730854278`*^9}, {3.6423327181422043`*^9, 
  3.642332735482204*^9}, {3.642399722005204*^9, 3.642399733372204*^9}, {
  3.6423997763262043`*^9, 3.642399802312204*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NotebookSave", "[", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6478328977047415`*^9, 3.647832902554019*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1664, 948},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>0.9 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (December 4, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    StyleData["Subsubsection"]]}, Visible -> False, FrontEndVersion -> 
  "10.0 for Microsoft Windows (64-bit) (December 4, 2014)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 145, 3, 29, "Input"],
Cell[706, 25, 280, 6, 29, "Input",
 InitializationCell->True],
Cell[989, 33, 133, 2, 29, "Input"],
Cell[CellGroupData[{
Cell[1147, 39, 336, 4, 66, "Chapter"],
Cell[1486, 45, 671, 15, 29, "Input",
 InitializationCell->True],
Cell[2160, 62, 1042, 23, 50, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[3239, 90, 220, 3, 66, "Chapter"],
Cell[CellGroupData[{
Cell[3484, 97, 89, 1, 59, "Subchapter"],
Cell[3576, 100, 982, 18, 200, "Subsubtitle"],
Cell[4561, 120, 3486, 102, 190, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[8084, 227, 283, 5, 59, "Subchapter"],
Cell[8370, 234, 136, 2, 29, "Input"],
Cell[8509, 238, 1198, 27, 110, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9756, 271, 95, 1, 91, "Title"],
Cell[CellGroupData[{
Cell[9876, 276, 103, 1, 54, "Subchapter"],
Cell[9982, 279, 890, 21, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10909, 305, 180, 2, 40, "Subchapter"],
Cell[11092, 309, 12322, 288, 559, "Input"],
Cell[23417, 599, 360, 10, 24, "Input"],
Cell[23780, 611, 948, 28, 41, "Input"],
Cell[24731, 641, 404, 10, 24, "Input"],
Cell[25138, 653, 1752, 40, 90, "Input"],
Cell[26893, 695, 1757, 40, 90, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[28687, 740, 106, 1, 26, "Subsubtitle"],
Cell[28796, 743, 12378, 288, 559, "Input"],
Cell[41177, 1033, 468, 12, 19, "Input"],
Cell[41648, 1047, 1004, 29, 41, "Input"],
Cell[42655, 1078, 1774, 42, 90, "Input"],
Cell[44432, 1122, 89, 1, 41, "Input"],
Cell[44524, 1125, 2226, 49, 90, "Input"],
Cell[46753, 1176, 319, 8, 24, "Input"],
Cell[47075, 1186, 1218, 28, 73, "Input"],
Cell[48296, 1216, 326, 8, 24, "Input"],
Cell[48625, 1226, 560, 11, 24, "Input"],
Cell[49188, 1239, 269, 7, 24, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[49494, 1251, 163, 2, 40, "Subchapter"],
Cell[49660, 1255, 1283, 38, 90, "Input"],
Cell[50946, 1295, 8001, 218, 365, "Input"],
Cell[58950, 1515, 1535, 36, 138, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[60534, 1557, 194, 3, 81, "Title"],
Cell[CellGroupData[{
Cell[60753, 1564, 187, 2, 54, "Subchapter"],
Cell[60943, 1568, 12030, 283, 608, "Input"],
Cell[72976, 1853, 416, 11, 24, "Input"],
Cell[73395, 1866, 1054, 30, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[74486, 1901, 125, 1, 40, "Subchapter"],
Cell[74614, 1904, 1536, 37, 73, "Input"],
Cell[76153, 1943, 1567, 37, 90, "Input"],
Cell[77723, 1982, 12135, 283, 603, "Input"],
Cell[89861, 2267, 365, 10, 19, "Input"],
Cell[90229, 2279, 1106, 30, 36, "Input"],
Cell[91338, 2311, 1576, 37, 73, "Input"],
Cell[92917, 2350, 145, 2, 19, "Input"],
Cell[93065, 2354, 976, 21, 41, "Input"],
Cell[94044, 2377, 418, 9, 19, "Input"],
Cell[94465, 2388, 2063, 47, 90, "Input"],
Cell[96531, 2437, 529, 11, 24, "Input"],
Cell[97063, 2450, 576, 12, 24, "Input"],
Cell[97642, 2464, 322, 8, 24, "Input"],
Cell[97967, 2474, 559, 13, 24, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[98563, 2492, 112, 1, 40, "Subchapter"],
Cell[98678, 2495, 313, 8, 41, "Input"],
Cell[98994, 2505, 234, 5, 24, "Input"],
Cell[99231, 2512, 416, 11, 24, "Input"],
Cell[99650, 2525, 1054, 30, 41, "Input"],
Cell[100707, 2557, 188, 5, 24, "Input"],
Cell[100898, 2564, 6918, 196, 333, "Input"],
Cell[107819, 2762, 1960, 42, 153, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[109828, 2810, 131, 1, 81, "Title"],
Cell[CellGroupData[{
Cell[109984, 2815, 170, 2, 50, "Chapter"],
Cell[110157, 2819, 3116, 76, 122, "Input"],
Cell[113276, 2897, 183, 4, 26, "Input"],
Cell[113462, 2903, 973, 26, 63, "Input"],
Cell[114438, 2931, 574, 12, 26, "Input"],
Cell[115015, 2945, 4823, 100, 135, "Input"],
Cell[CellGroupData[{
Cell[119863, 3049, 110, 1, 53, "Subchapter"],
Cell[119976, 3052, 273, 5, 26, "Input"],
Cell[120252, 3059, 1098, 25, 81, "Input"],
Cell[121353, 3086, 42, 0, 26, "Input"],
Cell[121398, 3088, 1995, 59, 135, "Input"],
Cell[123396, 3149, 210, 4, 26, "Input"],
Cell[123609, 3155, 1082, 21, 81, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[124740, 3182, 180, 2, 59, "Chapter"],
Cell[124923, 3186, 1009, 19, 99, "Input"],
Cell[125935, 3207, 1006, 20, 74, "Input"],
Cell[126944, 3229, 549, 12, 63, "Input"],
Cell[127496, 3243, 181, 4, 26, "Input"],
Cell[127680, 3249, 200, 4, 26, "Input"],
Cell[127883, 3255, 196, 4, 26, "Input"],
Cell[128082, 3261, 17571, 388, 603, "Input"],
Cell[145656, 3651, 640, 16, 45, "Input"],
Cell[146299, 3669, 5211, 132, 171, "Input"],
Cell[151513, 3803, 3743, 87, 99, "Input"],
Cell[155259, 3892, 938, 27, 81, "Input"],
Cell[156200, 3921, 20506, 447, 603, "Input"],
Cell[176709, 4370, 1321, 38, 99, "Input"],
Cell[178033, 4410, 2920, 84, 117, "Input"],
Cell[180956, 4496, 1258, 32, 81, "Input"],
Cell[182217, 4530, 22965, 499, 603, "Input"],
Cell[205185, 5031, 1314, 38, 99, "Input"],
Cell[206502, 5071, 1000, 24, 63, "Input"],
Cell[207505, 5097, 568, 9, 26, "Input"],
Cell[208076, 5108, 317, 6, 26, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[208442, 5120, 187, 2, 81, "Title"],
Cell[208632, 5124, 644, 14, 26, "Input"],
Cell[209279, 5140, 72, 1, 45, "Input"],
Cell[209354, 5143, 1015, 22, 45, "Input"],
Cell[210372, 5167, 213, 5, 45, "Input"],
Cell[210588, 5174, 3277, 99, 171, "Input"],
Cell[CellGroupData[{
Cell[213890, 5277, 146, 1, 59, "Chapter"],
Cell[214039, 5280, 88, 2, 26, "Input"],
Cell[214130, 5284, 325, 7, 26, "Input"],
Cell[214458, 5293, 187, 4, 26, "Input"],
Cell[214648, 5299, 473, 11, 26, "Input"],
Cell[215124, 5312, 256, 7, 26, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215417, 5324, 192, 2, 59, "Chapter"],
Cell[215612, 5328, 695, 18, 63, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[216344, 5351, 218, 4, 59, "Chapter"],
Cell[216565, 5357, 2891, 81, 171, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219493, 5443, 268, 5, 102, "Chapter"],
Cell[219764, 5450, 350, 10, 26, "Input"],
Cell[220117, 5462, 295, 5, 26, "Input"],
Cell[220415, 5469, 2149, 37, 171, "Input"],
Cell[222567, 5508, 45, 0, 26, "Input"],
Cell[222615, 5510, 23827, 734, 279, "Input"],
Cell[246445, 6246, 884, 23, 27, "Input"],
Cell[247332, 6271, 1638, 47, 45, "Input"],
Cell[248973, 6320, 1715, 48, 45, "Input"],
Cell[250691, 6370, 10743, 251, 340, "Input"],
Cell[261437, 6623, 6170, 186, 261, "Input"],
Cell[267610, 6811, 14260, 372, 609, "Input"],
Cell[281873, 7185, 232, 6, 26, "Input"],
Cell[282108, 7193, 7463, 201, 225, "Input"],
Cell[289574, 7396, 68, 1, 26, "Input"],
Cell[289645, 7399, 1455, 28, 171, "Input"],
Cell[291103, 7429, 45, 0, 26, "Input"],
Cell[291151, 7431, 23781, 734, 279, "Input"],
Cell[314935, 8167, 8797, 225, 321, "Input"],
Cell[323735, 8394, 14208, 371, 591, "Input"],
Cell[337946, 8767, 281, 8, 77, "Input"],
Cell[338230, 8777, 7960, 208, 225, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[346227, 8990, 253, 5, 59, "Chapter"],
Cell[346483, 8997, 215, 5, 26, "Input"],
Cell[346701, 9004, 147, 3, 26, "Input"],
Cell[346851, 9009, 2490, 76, 171, "Input"],
Cell[349344, 9087, 166, 3, 26, "Input"],
Cell[349513, 9092, 2099, 61, 135, "Input"],
Cell[351615, 9155, 1100, 31, 26, "Input"],
Cell[352718, 9188, 197, 4, 26, "Input"],
Cell[352918, 9194, 1790, 48, 135, "Input"],
Cell[354711, 9244, 1635, 32, 189, "Input"],
Cell[356349, 9278, 64, 0, 26, "Input"],
Cell[356416, 9280, 23949, 734, 297, "Input"],
Cell[380368, 10016, 932, 24, 27, "Input"],
Cell[381303, 10042, 148, 3, 26, "Input"],
Cell[381454, 10047, 8751, 224, 321, "Input"],
Cell[390208, 10273, 315, 9, 26, "Input"],
Cell[390526, 10284, 3921, 99, 117, "Input"],
Cell[394450, 10385, 4056, 104, 117, "Input"],
Cell[398509, 10491, 1554, 31, 171, "Input"],
Cell[400066, 10524, 64, 0, 26, "Input"],
Cell[400133, 10526, 23908, 735, 297, "Input"],
Cell[424044, 11263, 9031, 227, 321, "Input"],
Cell[433078, 11492, 365, 9, 26, "Input"],
Cell[433446, 11503, 3989, 100, 117, "Input"],
Cell[437438, 11605, 3976, 103, 117, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[441451, 11713, 118, 1, 59, "Chapter"],
Cell[441572, 11716, 118, 2, 26, "Input"],
Cell[441693, 11720, 2101, 61, 135, "Input"],
Cell[443797, 11783, 100, 2, 26, "Input"],
Cell[443900, 11787, 1151, 32, 26, "Input"],
Cell[445054, 11821, 197, 4, 26, "Input"],
Cell[445254, 11827, 1791, 48, 135, "Input"],
Cell[447048, 11877, 1499, 30, 171, "Input"],
Cell[448550, 11909, 64, 0, 26, "Input"],
Cell[448617, 11911, 23979, 735, 297, "Input"],
Cell[472599, 12648, 8549, 219, 303, "Input"],
Cell[481151, 12869, 286, 8, 26, "Input"],
Cell[481440, 12879, 68, 1, 26, "Input"],
Cell[481511, 12882, 7464, 190, 225, "Input"],
Cell[488978, 13074, 1592, 31, 171, "Input"],
Cell[490573, 13107, 64, 0, 26, "Input"],
Cell[490640, 13109, 23966, 738, 297, "Input"],
Cell[514609, 13849, 8631, 220, 303, "Input"],
Cell[523243, 14071, 335, 9, 77, "Input"],
Cell[523581, 14082, 7464, 190, 225, "Input"],
Cell[531048, 14274, 146, 3, 26, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
